<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:choose>
	<%-- USUARIO REGISTRADO --%>
	<c:when test="${ user_info != null }">
		<div id="main-menu-user">
			<div id="main-menu-options">
				<ul>
				<c:choose>
					<%-- Opcin = Administrador --%>
					<c:when test="${ (param.sec == 'admin') and (user_info.admin == true) }">
						<li><bean:message key="main.menu.left.desktop" bundle="Common"/></li>
						<li class="selected"><bean:message key="main.menu.left.user.admin" bundle="Common"/></li>
						<c:if test="${ user_info.teacher == true }">
							<li><bean:message key="main.menu.left.user.teacher" bundle="Common"/></li>
						</c:if>
						<c:if test="${ user_info.student == true }">
							<li><bean:message key="main.menu.left.user.student" bundle="Common"/></li>
						</c:if>
					</c:when>
					<%-- Opcin = Profesor --%>
					<c:when test="${ (param.sec == 'teacher') and (user_info.teacher == true) }">
						<li><bean:message key="main.menu.left.desktop" bundle="Common"/></li>
						<c:if test="${ user_info.admin == true }">
							<li><bean:message key="main.menu.left.user.admin" bundle="Common"/></li>
						</c:if>
						<li class="selected"><bean:message key="main.menu.left.user.teacher" bundle="Common"/></li>
						<c:if test="${ user_info.student == true }">
							<li><bean:message key="main.menu.left.user.student" bundle="Common"/></li>
						</c:if>
					</c:when>
					<%-- Opcin = Alumno --%>
					<c:when test="${ (param.sec == 'student') and (user_info.student == true) }">
						<li><bean:message key="main.menu.left.desktop" bundle="Common"/></li>
						<c:if test="${ user_info.admin == true }">
							<li><bean:message key="main.menu.left.user.admin" bundle="Common"/></li>
						</c:if>
						<c:if test="${ user_info.teacher == true }">
							<li><bean:message key="main.menu.left.user.teacher" bundle="Common"/></li>
						</c:if>
						<li class="selected"><bean:message key="main.menu.left.user.student" bundle="Common"/></li>
					</c:when>
					<%-- Mostrar el escritorio para el usuario (no se ha seleccionado una opcin) --%>
					<c:otherwise>
						<li class="selected"><bean:message key="main.menu.left.desktop" bundle="Common"/></li>
						<c:if test="${ user_info.admin == true }">
							<li><bean:message key="main.menu.left.user.admin" bundle="Common"/></li>
						</c:if>
						<c:if test="${ user_info.teacher == true }">
							<li><bean:message key="main.menu.left.user.teacher" bundle="Common"/></li>
						</c:if>
						<c:if test="${ user_info.student == true }">
							<li><bean:message key="main.menu.left.user.student" bundle="Common"/></li>
						</c:if>
					</c:otherwise>
				</c:choose>
				</ul>
			</div>
			<div id="main-menu-account">
				<bean:message key="main.menu.right.edit" bundle="Common"/> |
				<bean:message key="main.menu.right.singout" bundle="Common"/>
			</div>
		</div>
	</c:when>
		
	<%-- PARTE PUBLICA (NO SE HA ACCEDIDO A LA CUENTA) --%>
	<c:otherwise>
		<div id="main-menu">
			<div id="main-menu-options">
				<bean:message key="main.menu.left.home" bundle="Public"/> | 
				<bean:message key="main.menu.left.help" bundle="Public"/>
			</div>
			<div id="main-menu-account">
				<bean:message key="main.menu.right.login" bundle="Public"/> | 
				<bean:message key="main.menu.right.signup" bundle="Public"/>
			</div>
		</div>
	</c:otherwise>	
</c:choose>