<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>

<c:choose>
	<%-- Dentro de una cuenta de usuario --%>
	<c:when test="${ user_info != null }">
		<div id="nav">
		<c:choose>
			<%-- OPCIONES PARA LOS ADMINISTRADORES --%>
			<c:when test="${ (param.sec == 'admin') and (user_info.admin == true) }">
				<c:set var="accounts"></c:set><c:set var="curriculum"></c:set><c:set var="subjects"></c:set><c:set var="classrooms"></c:set><c:set var="monitoring"></c:set>	
				<c:choose>
					<c:when test="${ param.page eq CTLinks.CURRICULUM_LIST_PARAM_PAGE        }"><c:set var="curriculum">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CURRICULUM_CREATE_PARAM_PAGE      }"><c:set var="curriculum">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CURRICULUM_GET_PARAM_PAGE         }"><c:set var="curriculum">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CURRICULUM_MODIFY_PARAM_PAGE      }"><c:set var="curriculum">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CURRICULUM_ADD_SUBJECT_PARAM_PAGE }"><c:set var="curriculum">class="selected"</c:set></c:when>
					
					<c:when test="${ param.page eq CTLinks.SUBJECT_CREATE_PARAM_PAGE         }"><c:set var="subjects">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.SUBJECT_LIST_PARAM_PAGE           }"><c:set var="subjects">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.SUBJECT_MODIDIFY_PARAM_PAGE       }"><c:set var="subjects">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.SUBJECT_DATA_PARAM_PAGE           }"><c:set var="subjects">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.SUBJECT_ADD_CURRICULUM_PARAM_PAGE }"><c:set var="subjects">class="selected"</c:set></c:when>
					
					<c:when test="${ param.page eq CTLinks.CLASSROOM_LIST_PARAM_PAGE   }"><c:set var="classrooms">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CLASSROOM_CREATE_PARAM_PAGE }"><c:set var="classrooms">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CLASSROOM_DATA_PARAM_PAGE   }"><c:set var="classrooms">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CLASSROOM_ASSIGN_PARAM_PAGE }"><c:set var="classrooms">class="selected"</c:set></c:when>
					
					<c:when test="${ param.page eq CTLinks.CONFIGURATION_DATA_PARAM_PAGE }"><c:set var="configuration">class="selected"</c:set></c:when>
					<c:otherwise><c:set var="accounts">class="selected"</c:set></c:otherwise>
				</c:choose>
				<ul>
					<li <c:out value="${ accounts }" escapeXml="false"/>><bean:message key="admin.nav.option.accounts" bundle="Users"/></li>
					<li <c:out value="${ curriculum }" escapeXml="false"/>><bean:message key="admin.nav.option.curriculum" bundle="Users"/></li>
					<li <c:out value="${ subjects }" escapeXml="false"/>><bean:message key="admin.nav.option.subjects" bundle="Users"/></li>
					<li <c:out value="${ classrooms }" escapeXml="false"/>><bean:message key="admin.nav.option.classrooms" bundle="Users"/></li>
					<li <c:out value="${ configuration }" escapeXml="false"/>><bean:message key="admin.nav.option.configuration" bundle="Users"/></li>
				</ul>
			</c:when>
			
			<%-- OPCIONES PARA LOS PROFESORES --%>
			<c:when test="${ (param.sec eq 'teacher') and (user_info.teacher eq true) }">
				<c:set var="questionBank"></c:set>
				<c:set var="test"></c:set>
				<c:set var="classrooms"></c:set>
				<c:set var="stats"></c:set>
				<c:choose>
					<c:when test="${ param.page eq CTLinks.TEST_LIST_PARAM_PAGE }"><c:set var="test">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.TEST_CREATE_PARAM_PAGE }"><c:set var="test">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.TEST_MODIFY_PARAM_PAGE }"><c:set var="test">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.TEST_DATA_PARAM_PAGE }"><c:set var="test">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.TEST_ADD_QUESTION_PARAM_PAGE }"><c:set var="test">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CLASSROOM_LIST_TEACHER_PARAM_PAGE }"><c:set var="classroom">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CLASSROOM_DATA_TEACHER_PARAM_PAGE }"><c:set var="classroom">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.CLASSROOM_DATA_ADD_TEST_PARAM_PAGE }"><c:set var="classroom">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.TEST_STATS_LIST_PARAM_PAGE }"><c:set var="stats">class="selected"</c:set></c:when>
					<c:when test="${ param.page eq CTLinks.TEST_STATS_DATA_PARAM_PAGE }"><c:set var="stats">class="selected"</c:set></c:when>
					<c:otherwise><c:set var="questionBank">class="selected"</c:set></c:otherwise>
				</c:choose>
				<ul>
					<li <c:out value="${ questionBank }" escapeXml="false"/>><bean:message key="teacher.nav.option.question.bank" bundle="Users"/></li>
					<li <c:out value="${ test }" escapeXml="false"/>><bean:message key="teacher.nav.option.test" bundle="Users"/></li>
					<li <c:out value="${ classroom }" escapeXml="false"/>><bean:message key="teacher.nav.option.classroom" bundle="Users"/></li>
					<li <c:out value="${ stats }" escapeXml="false"/>><bean:message key="teacher.nav.option.stats" bundle="Users"/></li>
				</ul>
			</c:when>
			
			
			<%-- OPCIONES DE NAVEGACION PARA UN ESTUDIANTE --%>
			<c:when test="${ (param.sec == 'student') and (user_info.student == true) }">
				<ul>
					<li class="selected"><bean:message key="student.nav.option.classrooms" bundle="Users"/></li>
				</ul>
			</c:when>
			
			<%-- ESCRITORIO DE UNA CUENTA --%>
			<c:otherwise>
				<span style="margin-left: 10px;"><bean:message key="nav.desktop" bundle="Common"/> <i>${ user_info.name } ${ user_info.surname }</i></span>
			</c:otherwise>
		</c:choose>
		</div>
	</c:when>
	
	<%-- Seccin: Error general de la aplicacin (Excepcin) --%>	
	<c:when test="${ param.page == 'error' }">
		<div id="nav-out">
			<bean:message key="nav.error" bundle="Common"/>
		</div>
	</c:when>

	<%-- Seccin: Pginas Pblicas --%>
	<c:otherwise>
		<div id="nav-out">
			<bean:message key="nav.title" bundle="Public"/>: 
			<c:choose>
				<c:when test="${ param.page == 'signup' }"><bean:message key="nav.signup" bundle="Public"/></c:when>
				<c:when test="${ param.page == 'login' }"><bean:message key="nav.login"  bundle="Public"/></c:when>
				<c:when test="${ param.page == 'forgotPassword' }"><bean:message key="nav.forgotPassword" bundle="Public"/></c:when>
				<c:when test="${ param.page == 'forgotLogin' }"><bean:message key="nav.forgotLogin" bundle="Public"/></c:when>
				<c:when test="${ param.page == 'help' }"><bean:message key="nav.help"   bundle="Public"/></c:when>
				<c:when test="${ param.page == 'signout' }"><bean:message key="nav.signout" bundle="Public"/></c:when>
				<c:otherwise><bean:message key="nav.home" bundle="Public"/></c:otherwise>
			</c:choose>
		</div>
	</c:otherwise>		
</c:choose>
