<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>
<c:choose>
	<%-- CREAR UNA NUEVA CUENTA DE USUARIO --%>
	<c:when test="${ param.page == 'signup' }">
		<c:set var="layout" scope="request">ms</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/pub/main/SignUp.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/pages/pub/side/SignUp.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- ACCEDER A UNA CUENTA DE USUARIO --%>
	<c:when test="${ param.page == 'signin' }">
		<c:choose>
			<c:when test="${ no_more_login_attempts == true }">
				<c:set var="title" scope="request">error.simple.login.no_more_attempts.title</c:set>
				<c:set var="message" scope="request">error.simple.login.no_more_attempts.message</c:set>
				<c:set var="layout" scope="request">_nil_</c:set>
				<tiles:insert definition="layout">
					<tiles:put name="content" value="/WEB-INF/common/inc/ErrorSimple.jsp"/>
					<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
				</tiles:insert>
			</c:when>
			<c:when test="${ account_locked == true }">
				<c:set var="title" scope="request">error.simple.login.account_locked.title</c:set>
				<c:set var="message" scope="request">error.simple.login.account_locked.message</c:set>
				<c:set var="layout" scope="request">_nil_</c:set>
				<tiles:insert definition="layout">
					<tiles:put name="content" value="/WEB-INF/common/inc/ErrorSimple.jsp"/>
					<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
				</tiles:insert>
			</c:when>
			<c:otherwise>
				<c:set var="layout" scope="request">ms</c:set>
				<tiles:insert definition="layout">
					<tiles:put name="content" value="/WEB-INF/pages/pub/main/SignIn.jsp"/>
					<tiles:put name="sidebar" value="/WEB-INF/pages/pub/side/SignIn.jsp"/>
				</tiles:insert>
			</c:otherwise>
		</c:choose>
	</c:when>
	
	<%-- SALIR DE UNA CUENTA DE USUARIO --%>
	<c:when test="${ param.page == 'signout' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/pub/main/SignOut.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- RECUPERAR CONTRASEA --%>
	<c:when test="${ param.page == 'forgotPassword' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/pub/main/ForgotPassword.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- RECUPERAR LOGIN --%>
	<c:when test="${ param.page == 'forgotLogin' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/pub/main/ForgotLogin.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- PAGINA DE AYUDA --%>
	<c:when test="${ param.page == 'help' }">
		<c:set var="layout" scope="request">sm</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/pub/main/Help.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/pages/pub/side/Help.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- PAGINA DE BIENVENIDA DE LA APLICACIN --%>
	<c:otherwise>
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/pub/main/Home.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:otherwise>
</c:choose>