<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div style="margin-left: 80px; margin-right: 80px;">
	
	<h1><bean:message key="forgot.login.title" bundle="Public"/></h1>
	
	<c:choose>
		<c:when test="${ active_configuration.sendEmail == true }">
			<c:choose>
				<c:when test="${ operation_ok == true }">
					<div class="ok-form"><bean:message key="forgot.login.operation.ok" bundle="Public"/> <b>${ email }</b></div>
				</c:when>
				<c:otherwise>
					<p><bean:message key="forgot.login.text" bundle="Public"/></p>
					<div style="width: 550px; margin: 0 auto;">
						<h2><b><bean:message key="forgot.login.form.title" bundle="Public"/></b></h2>
						<html:form action="/account">
						<table border="0" cellspacing="0" cellpadding="5" style="width: 550px;">
						<tr>
							<th width="230"><label for="email"><bean:message key="forgot.login.form.email" bundle="Public"/></label></th>
							<td width="320">
								<html:text property="email" styleId="email" styleClass="text" size="50" maxlength="50" tabindex="1" style="width: 300px;"/>
								<div class="errors"><html:errors property="Email" bundle="Common"/></div> 
							</td>
						</tr>
						<tr>
							<th width="230" class="no-bdr">&nbsp;</th>
							<td width="320" class="no-bdr buttons">
								<html:submit tabindex="2" styleClass="button first"><bean:message key="forgot.login.form.submit" bundle="Public"/></html:submit>
							</td>
						</tr>
						</table>
						<html:hidden property="cmd" value="forgotLogin"/>
						</html:form>
					</div>
				</c:otherwise>
			</c:choose>
		</c:when>
		<c:otherwise>
			<p><bean:message key="forgot.login.no.form" bundle="Public"/> <a href="mailto:${ active_configuration.adminEmail }">${ active_configuration.adminEmail }</a></p>
		</c:otherwise>
	</c:choose>
	
	<h3 style="margin-top: 10px;"><bean:message key="forgot.login.list.title" bundle="Public"/></h3>
	<ul>
		<c:forEach begin="1" end="3" varStatus="count">
			<c:set var="msg">forgot.login.list.${ count.index }</c:set>
			<li><bean:message name="msg" bundle="Public"/></li>
		</c:forEach>
	</ul>
	
</div>