<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<h1><bean:message key="login.title" bundle="Public"/></h1>

<c:choose>
	<c:when test="${ no_more_login_attempts == true }">
		<div class="errors-form">Aqui un mensaje de error indicando que no quedan ms intentos de acceso</div>
	</c:when>
	<c:otherwise>
		<c:if test="${ errors_form == true }">
			<div class="errors-form"><html:errors property="error_txt" bundle="Users"/></div>
		</c:if>
		<p><bean:message key="login.text" bundle="Public"/></p>
		<h2><bean:message key="login.form.title" bundle="Public"/></h2>
		<html:form action="/account">
		<table border="0" cellspacing="0" cellpadding="5" style="width: 700px;">
		<tr>
			<th width="210"><label for="login"><bean:message key="login.form.login" bundle="Public"/></label></th>
			<td width="210">
				<html:text property="login" styleId="login" styleClass="text" size="30" maxlength="20" style="width: 200px;"/>
				<div class="errors"><html:errors property="Login" bundle="Common"/></div>
			</td>
			<td width="280" class="explain"><bean:message key="login.form.login.explain" bundle="Public"/></td>
		</tr>
		<tr>
			<th width="210"><label for="password"><bean:message key="login.form.password" bundle="Public"/></label></th>
			<td width="210">
				<html:password property="password" styleId="password" styleClass="text" size="30" maxlength="20" style="width: 200px;"/>
				<div class="errors"><html:errors property="Password" bundle="Common"/></div>
			<td width="280" class="explain"><bean:message key="login.form.password.explain" bundle="Public"/></td>
		</tr>
		<tr>
			<th width="210"><bean:message key="login.form.problems" bundle="Public"/></th>
			<td width="490" colspan="2"><bean:message key="login.form.problems.options" bundle="Public"/></td>
		</tr>
		<tr>
			<th width="210" class="no-bdr">&nbsp;</th>
			<td width="490" class="no-bdr buttons" colspan="2">
				<c:if test="${ error_invalid_login == true }">
					<div class="errors-form"><bean:message key="login.error.invalid.login" bundle="Public"/> ${ login_attempts }</div>
				</c:if>
				<html:submit styleClass="button first"><bean:message key="login.form.submit" bundle="Public"/></html:submit>
				<input 	type="button" id="reset" class="button" value=" <bean:message key="login.form.reset" bundle="Public"/> "
					   	onclick="$('.errors').hide(); 
								 $('.errors-form').hide();
								 $('#login').val(''); 
								 $('#password').val(''); "/>
			</td>
		</tr>
		</table>
		<html:hidden property="cmd" value="signin"/>
		</html:form>
	</c:otherwise>
</c:choose>
