<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:choose>
	<c:when test="${ operation_ok == true }">
		<div class="ok-div">
			<div class="content">
				<h1><bean:message key="signup.ok.title" bundle="Public"/></h1>
				<h3><bean:message key="signup.ok.text" bundle="Public"/></h3>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<h1><bean:message key="signup.title" bundle="Public"/></h1>
		<c:if test="${ errors_form == true }"><div class="errors-form">${ errors_txt }.</div></c:if>
		<p><bean:message key="signup.text" bundle="Public"/></p>
		<html:form action="/account">
		<h2><b><bean:message key="signup.form.1.title" bundle="Public"/></b></h2>
		<table border="0" cellspacing="0" cellpadding="5" style="width: 700px;">
		<tr>
			<th width="210"><label for="login"><bean:message key="signup.form.1.login" bundle="Public"/></label></th>
			<td width="210">
				<html:text property="login" styleId="login" styleClass="text" style="width: 205px;" size="30" maxlength="20" />
				<div class="errors"><html:errors property="Login" bundle="Common"/></div>
			</td>
			<td width="280" class="explain"><bean:message key="signup.form.1.login.explain" bundle="Public"/></td>
		</tr>
		<tr>
			<th width="210"><label for="password"><bean:message key="signup.form.1.password" bundle="Public"/></label></th>
			<td width="210">
				<html:password property="password" styleId="password" styleClass="text" style="width: 205px;" size="30" maxlength="20" />
				<div class="errors"><html:errors property="Password" bundle="Common"/></div>
			<td width="280" class="explain"><bean:message key="signup.form.1.password.explain" bundle="Public"/></td>
		</tr>
		<tr>
			<th width="210" style="padding-top: 6px;">
				<label for="repeatPassword"><bean:message key="signup.form.1.confirm" bundle="Public"/></label>
			</th>
			<td width="210">
				<html:password property="repeatPassword" styleId="repeatPassword" styleClass="text" style="width: 205px;" size="30" maxlength="20"/>
				<div class="errors"><html:errors property="RepeatPassword" bundle="Common"/></div>
			</td>
			<td width="280" class="explain"><bean:message key="signup.form.1.confirm.explain" bundle="Public"/></td>
		</tr>
		<tr>
			<th width="210"><label for="email"><bean:message key="signup.form.1.email" bundle="Public"/></label></th>
			<td width="210">
				<html:text property="email" styleId="email" styleClass="text" style="width: 205px;" size="30" maxlength="50"/>
				<div class="errors"><html:errors property="Email" bundle="Common"/></div>
			</td>
			<td width="280" class="explain"><bean:message key="signup.form.1.email.explain" bundle="Public"/></td>
		</tr>
		</table>
		<h2><b><bean:message key="signup.form.2.title" bundle="Public"/></b></h2>
		<table border="0" width="100%" cellspacing="0" cellpadding="5" style="width: 700px;">
		<tr>
			<th width="210"><label for="name"><bean:message key="signup.form.2.name" bundle="Public"/></label></th>
			<td width="210"><html:text property="name" styleId="name" styleClass="text" style="width: 205px;" size="30" maxlength="50" /><div class="errors"><html:errors property="Name" bundle="Common"/></div></td>
			<td width="280" class="explain"><bean:message key="accounts.common.form.surname.explain" bundle="Admins"/></td>
		</tr>
		<tr>
			<th width="210"><label for="surname"><bean:message key="signup.form.2.surname" bundle="Public"/></label></th>
			<td width="210"><html:text property="surname" styleId="surname" styleClass="text" style="width: 205px;" size="30" maxlength="50"/><div class="errors"><html:errors property="Surname" bundle="Common"/></div></td>
			<td width="280" class="explain"><bean:message key="accounts.common.form.surname.explain" bundle="Admins"/>	</td>
		</tr>
		<tr>
			<th width="210" class="no-bdr">&nbsp;</th>
			<td width="490" class="no-bdr no-color" colspan="2" class="buttons">
				<html:submit styleClass="button first"><bean:message key="signup.form.submit" bundle="Public"/></html:submit>
				<input 	type="button" class="button" style="margin-left: 5px;"
						value="<bean:message key="signup.form.reset" bundle="Public"/>" 
						onclick="$(':text').val('');
							     $(':password').val('');
							     $('.errors').hide(); "/>
			</td>
		</tr>
		</table>
		<html:hidden property="cmd" value="signup"/>
		</html:form>
	</c:otherwise>
</c:choose>
