<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="box rc"">
	<h3><bean:message key="sidebar.main.menu.title" bundle="Help"/></h3>
	<ul style="padding-left: 10px;">
		<li><a href="#login"><bean:message key="sidebar.main.menu.option.login" bundle="Help"/></a></li>
		<c:if test="${ user_info.admin eq true }">
			<li><a href="#accounts"><bean:message key="sidebar.main.menu.option.accounts" bundle="Help"/></a></li>
			<li><a href="#curriculum"><bean:message key="sidebar.main.menu.option.curriculum" bundle="Help"/></a></li>
			<li><a href="#subjects"><bean:message key="sidebar.main.menu.option.subject" bundle="Help"/></a></li>
			<li><a href="#classrooms"><bean:message key="sidebar.main.menu.option.classrooms" bundle="Help"/></a></li>
			<li><a href="#configuration"><bean:message key="sidebar.main.menu.option.configuration" bundle="Help"/></a>
		</c:if>
		<c:if test="${ user_info.teacher eq true }">
			<li><a href="#bank"><bean:message key="sidebar.main.menu.option.bank" bundle="Help"/></a></li>
			<li><a href="#test"><bean:message key="sidebar.main.menu.option.test" bundle="Help"/></a></li>
			<li><a href="#classrooms_teacher"><bean:message key="sidebar.main.menu.option.classrooms.teacher" bundle="Help"/></a></li>
			<li><a href="#stats"><bean:message key="sidebar.main.menu.option.stats" bundle="Help"/></a></li>
		</c:if>
		<c:if test="${ user_info.student eq true }">
			<li><a href="#classrooms_student"><bean:message key="sidebar.main.menu.option.classroom.student" bundle="Help"/></a></li>
		</c:if>
	</ul>
</div>