<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:choose>
	<c:when test="${ operation_ok eq 'assign_teacher' }">
		<h1><bean:message key="classroom.assign.teacher.title" bundle="Admins"/></h1>
		<div class="ok-form">
			<bean:message key="classroom.assign.teacher.ok.text.1" bundle="Admins"/><br/>
			<bean:message key="classroom.assign.teacher.ok.text.2" bundle="Admins"/>
			<a href="classroom.do?cmd=getClassroom&id=${ classroom_id }"><bean:message key="classroom.assign.teacher.ok.link.1" bundle="Admins"/></a> | 
			<a href="index.jsp?sec=desktop"><bean:message key="classroom.assign.teacher.ok.link.2" bundle="Admins"/></a>
		</div>
	</c:when>
	<c:when test="${ operation_ok eq 'assign_student' }">	
		<h1><bean:message key="classroom.assign.student.title" bundle="Admins"/></h1>
		<div class="ok-form">
			<bean:message key="classroom.assign.student.ok.text.1" bundle="Admins"/><br/>
			<bean:message key="classroom.assign.student.ok.text.2" bundle="Admins"/>
			<a href="classroom.do?cmd=getClassroom&id=${ classroom_id }"><bean:message key="classroom.assign.student.ok.link.1" bundle="Admins"/></a> | 
			<a href="index.jsp?sec=desktop"><bean:message key="classroom.assign.student.ok.link.2" bundle="Admins"/></a>
		</div>
	</c:when>
	<c:when test="${ teacher_list ne null }">
		<h1><bean:message key="classroom.assign.teacher.title" bundle="Admins"/></h1>
		<c:if test="${ error_form ne null }">
			<div class="errors-form"><c:out value="${ error_form }" escapeXml="false"/></div>
		</c:if>
		<html:form action="/classroom" onsubmit="return confirm('Desea asignar el Profesor al Aula?')">
			<c:set var="submit" scope="request">classroom.assign.teacher.submit</c:set>
			<jsp:include page="/WEB-INF/pages/users/admin/common/ClassroomAssignForm.jsp"/>
			<html:hidden property="cmd" value="assignTeacher"/>
			<input type="hidden" name="action" value="do"/>
			<input type="hidden" name="id" value="${ classroom_data.id }"/>
		</html:form>
	</c:when>
	<c:otherwise>
		<h1><bean:message key="classroom.assign.student.title" bundle="Admins"/></h1>
		<html:form action="/classroom" onsubmit="return confirm('Desea asignar los Alumnos al Aula?')">
			<c:set var="submit" scope="request">classroom.assign.student.submit</c:set>
			<jsp:include page="/WEB-INF/pages/users/admin/common/ClassroomAssignForm.jsp"/>
			<html:hidden property="cmd" value="assignStudent"/>
			<input type="hidden" name="action" value="do"/>
			<input type="hidden" name="id" value="${ classroom_data.id }"/>
			<input type="hidden" name="total_students" value="${ fn:length(student_list) }"/>
		</html:form>
	</c:otherwise>
</c:choose>


	