<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_subjects">${ fn:length(subject_list) }</c:set>

<div class="hform">
	<h1><bean:message key="curriculum.add.subject.title" bundle="Admins"/></h1>
	<c:choose>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form">
				<bean:message key="common.assign.curriculum.subject.ok.text.1" bundle="Admins"/><br/>
				<bean:message key="common.assign.curriculum.subject.ok.text.2" bundle="Admins"/>
				<a href="curriculum.do?cmd=addSubject&id=${ curriculum_id }"><bean:message key="common.assign.curriculum.subject.ok.text.2.link.1" bundle="Admins"/></a> |
				<a href="curriculum.do?cmd=getPlan&id=${ curriculum_id }"><bean:message key="common.assign.curriculum.subject.ok.text.2.link.2" bundle="Admins"/></a> |
				<a href="index.jsp?sec=desktop"><bean:message key="common.assign.curriculum.subject.ok.text.2.link.3" bundle="Admins"/></a>
			</div>
		</c:when>
		<c:otherwise>
			<c:choose>
				<c:when test="${ total_subjects eq 0 }">
					<div class="errors-form">
						<bean:message key="curriculum.add.subject.no.subjects.text.1" bundle="Admins"/><br/>
						<bean:message key="curriculum.add.subject.no.subjects.text.2" bundle="Admins"/>
					</div>
				</c:when>
				<c:otherwise>
					<c:set var="source" scope="request">curriculum</c:set>
					<c:set var="submit" scope="request">common.assign.submit.subject</c:set>
					<html:form action="/curriculum" onsubmit="return confirm('Asignar la Asignatura al Plan de Estudios?');">
						<jsp:include page="/WEB-INF/pages/users/admin/common/CurriculumSubjectForm.jsp"/>
						<input type="hidden" name="id" value="${ curriculum_data.id }"/>
						<input type="hidden" name="action" value="do"/>
						<input type="hidden" name="cmd" value="addSubject"/>
					</html:form>
				</c:otherwise>
			</c:choose>
		</c:otherwise>
	</c:choose>
</div>