<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>
<c:set var="total_curriculum">${ fn:length(curriculum_list) }</c:set>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="curriculum.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'curriculum.do?cmd=deletePlan&id=' + id;
		}
	}
	function get(id)
	{
		window.location.href = 'curriculum.do?cmd=getPlan&id=' + id;
	}
	function mod(id)
	{
		window.location.href = 'curriculum.do?cmd=modifyPlan&id=' + id;
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'deletePlan' }"><div class="ok-form"><bean:message key="curriculum.delete.ok" bundle="Admins"/>.</div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="${ CTLinks.CURRICULUM_CREATE_JSP }" class="add_book"><bean:message key="curriculum.list.create" bundle="Admins"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="curriculum.list.title" bundle="Admins"/></h1>
	</div>	
	<div class="content">
		<c:choose>
			<c:when test="${ total_curriculum eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left"><bean:message key="curriculum.list.table.row.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="curriculum.list.table.row.1.th.2" bundle="Admins"/>: ${ total_curriculum }</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="curriculum.list.no.curriculum" bundle="Admins"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th colspan="3" class="left"><bean:message key="curriculum.list.table.row.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="curriculum.list.table.row.1.th.2" bundle="Admins"/>: ${ total_curriculum }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="curriculum.list.table.row.2.td.1" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="curriculum.list.table.row.2.td.2" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="curriculum.list.table.row.2.td.3" bundle="Admins"/></td>
					<td class="subtitle"><bean:message key="curriculum.list.table.row.2.td.4" bundle="Admins"/></td>
				</tr>
				<c:forEach items="${ curriculum_list }" var="curriculum">
					<c:set var="curriculum_type">curriculum.type.${ curriculum.type }</c:set>
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="left br"><nobr><a href="javascript: get(${ curriculum.id })"><c:out value="${ curriculum.name }" escapeXml="false"/></a></nobr></td>
						<td class="br"><bean:message name="curriculum_type" bundle="Common"/></td>
						<td class="br"><fmt:formatDate value="${ curriculum.created }" pattern="dd/MM/yyyy hh:mm:ss"/></td>
						<td><nobr><a href="javascript: mod(${ curriculum.id })" class="modify_book"><bean:message key="modify" bundle="Common"/></a> | <a href="javascript: del(${ curriculum.id });" class="delete_book"><bean:message key="delete" bundle="Common"/></a></nobr></td>
					</tr>
				</c:forEach>
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>