<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">
	<h1><bean:message key="curriculum.create.title" bundle="Admins"/></h1>
	<c:if test="${ error_form ne null }">
		<div class="errors-form"><c:out value="${ error_form }" escapeXml="false"/></div>
	</c:if>
	<c:choose>
		<c:when test="${ operation_ok eq true }">
		<div class="ok-form">
			<bean:message key="curriculum.create.ok.text.1" bundle="Admins"/> <b>Id = ${ curriculum_data.id }</b><br/>
			<bean:message key="curriculum.create.ok.text.2" bundle="Admins"/>
		</div>
		</c:when>
		<c:otherwise>
			<c:set var="submit" scope="request">curriculum.create.submit</c:set>
			<html:form action="/curriculum" onsubmit="return confirm('Crear el Plan de Estudios?');">
				<jsp:include page="/WEB-INF/pages/users/admin/common/CurriculumForm.jsp"/>		
				<html:hidden property="cmd" value="createPlan"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>