<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_curriculum">${ fn:length(subject_data.curriculum) }</c:set>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="subjects.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'subject.do?cmd=deleteSubject&id=' + id;
		}
	}
	function remove(idSubject, idCurriculum)
	{
		if (confirm('<bean:message key="subject.remove.curriculum.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'subject.do?cmd=removeCurriculum&idSubject=' + idSubject + '&idCurriculum=' + idCurriculum;
		}
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'removeCurriculum' }"><div class="ok-form"><bean:message key="subject.remove.curriculum.ok" bundle="Admins"/>.</div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="subject.do?cmd=modifySubject&id=${ subject_data.id }" class="modify_subject"><bean:message key="modify" bundle="Common"/></a> | 
			<a href="javascript: del(${ subject_data.id })" class="delete_subject"><bean:message key="delete" bundle="Common"/></a> |
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><c:out value="${ subject_data.name }" escapeXml="false"/></h1>
	</div>
	<div class="content">
	<table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td>
		<table border="0" width="100%" cellspacing="0" cellpadding="5">
		<tr>
			<td class="subtitle left" width="100"><bean:message key="subjects.data.table.1.tr.1.td.1" bundle="Admins"/>:</td>
			<td><c:out value="${ subject_data.descriptionHTML }" escapeXml="false"/></td>
		</tr>
		<tr>
			<td class="subtitle left" width="100"><bean:message key="subjects.data.table.1.tr.1.td.2" bundle="Admins"/>:</td>
			<td class="left" style="border-bottom: 0;"><fmt:formatDate value="${ subject_data.created }" pattern="dd/MM/yyyy HH:mm:ss"/></td>
		</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td>
		<c:choose>
			<c:when test="${ total_curriculum eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left"><bean:message key="subjects.data.table.2.tr.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px; text-align: left !important;"><bean:message key="subjects.data.no.curriculum" bundle="Admins"/></div>
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<td class="subtitle left"><a href="subject.do?cmd=addCurriculum&id=${ subject_data.id }" class="add"><bean:message key="subjects.data.subjects.assign.curriculum" bundle="Admins"/></a></td>
				</tr>
				</table>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left" colspan="4"><bean:message key="subjects.data.curriculum.tr.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_curriculum }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="subjects.data.curriculum.tr.2.td.1" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="subjects.data.curriculum.tr.2.td.2" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="subjects.data.curriculum.tr.2.td.3" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="subjects.data.curriculum.tr.2.td.6" bundle="Admins"/></td>
					<td class="subtitle"><bean:message key="subjects.data.curriculum.tr.2.td.5" bundle="Admins"/></td>
				</tr>
				<c:forEach items="${ subject_data.curriculum }" var="curriculum">
					<c:set var="curriculum_type">curriculum.type.${ curriculum.type }</c:set>
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="left br"><nobr><a href="curriculum.do?cmd=getPlan&id=${ curriculum.id }"><c:out value="${ curriculum.name }" escapeXml="false"/></a></nobr></td>
						<td class="br">${ curriculum.code }</td>
						<td class="br">${ curriculum.credits }</td>
						<td class="br"><bean:message name="curriculum_type" bundle="Common"/></td>
						<td><nobr><a href="javascript:remove(${ subject_data.id }, ${ curriculum.id })" class="del"><bean:message key="subject.remove.curriculum" bundle="Admins"/></a></nobr></td>
					</tr>
				</c:forEach>
				<tr>
					<td colspan="5" class="subtitle left"><a href="subject.do?cmd=addCurriculum&id=${ subject_data.id }" class="add"><bean:message key="subjects.data.subjects.assign.curriculum" bundle="Admins"/></a></td>
				</tr>
				</table>
			</c:otherwise>
		</c:choose>
		</td>
	</tr>
	</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>