<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">
	<h1><bean:message key="accounts.create.title" bundle="Admins"/></h1>
	<c:if test="${ error_form != null }">
		<div class="errors-form"><bean:message key="accounts.create.error" bundle="Admins"/> <b><c:out value="${ error_form }" escapeXml="false"/></b></div>
	</c:if>
	<c:choose>
		<c:when test="${ operation_ok == true }">
		<div class="ok-form">
			 <bean:message key="accounts.create.ok.text.1" bundle="Admins"/> <b>${ user.id }</b><br/>
			 <bean:message key="accounts.create.ok.text.2" bundle="Admins"/>
		</div>
		</c:when>
		<c:otherwise>
			<c:set var="submit" scope="request">accounts.create.submit</c:set>
			<html:form action="/account" onsubmit="return confirm('Crear la cuenta?');">
				<jsp:include page="/WEB-INF/pages/users/admin/common/UserForm.jsp"/>		
				<html:hidden property="cmd" value="createAccount"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>

