<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help" style="float: right;"><bean:message key="common.help.link" bundle="Users"/></div> 
<h2><b><bean:message key="classroom.assign.common.form.title" bundle="Admins"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200"><bean:message key="classroom.assign.common.form.curriculum" bundle="Admins"/></th>
	<td><b><c:out value="${ classroom_data.curriculumName }" escapeXml="false"/></b></td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th width="200"><bean:message key="classroom.assign.common.form.subject" bundle="Admins"/></th>
	<td><b><c:out value="${ classroom_data.subjectName }" escapeXml="false"/></b></td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th width="200"><bean:message key="classroom.assign.common.form.course" bundle="Admins"/></th>
	<td><b>${ classroom_data.course }</b></td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th width="200"><bean:message key="classroom.assign.common.form.letter" bundle="Admins"/></th>
	<td><b>${ classroom_data.letter }</b></td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<c:choose>
	<c:when test="${ teacher_list ne null }">
		<tr>
			<th width="200"><label for="teacherId"><nobr><bean:message key="classroom.assign.teacher.form" bundle="Admins"/></nobr></label></th>
			<td>
				<html:select property="teacherId" styleId="teacherId">
					<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
					<c:forEach items="${ teacher_list }" var="teacher">
						<option value="${ teacher.id }"><c:out value="${ teacher.name }" escapeXml="false"/> <c:out value="${ teacher.surname }" escapeXml="false"/></option>
					</c:forEach>
				</html:select>
				<div class="errors"><html:errors property="TeacherId" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="classroom.assign.teacher.form.explain" bundle="Admins"/></td>
		</tr>
		<c:if test="${ AFClassroom.teacherId ne '_nil_' }">
			<script type="text/javascript">
				$('#teacherId').attr('value', '${ AFClassroom.teacherId }');
			</script>
		</c:if>
	</c:when>
	<c:otherwise>
		<c:set var="total_students">${ fn:length(student_list) }</c:set>
		<tr>
			<th width="200"><label for="studentId_1"><nobr><bean:message key="classroom.assign.student.form" bundle="Admins"/></nobr></label></th>
			<c:choose>
				<c:when test="${ total_students ne 0 }">
					<td style="padding: 0 !important;">
						<table border="0" width="100%" cellspacing="0" cellpadding="5" style="background-image: none !important;">
						<c:forEach items="${ student_list }" var="student" varStatus="count">
							<tr>
								<td style="border-top: 0 !important;">
									<input type="checkbox" name="studentId_${ count.index + 1 }" id="${ count.index + 1 }" value="${ student.id }" style="margin-right: 5px !important;" />
									<a href="account.do?cmd=getAccount&id=${ student.id }"><c:out value="${ student.surname }" escapeXml="false"/>, 
									<c:out value="${ student.name }" escapeXml="false"/></a>
								</td>
							</tr>
						</c:forEach>
						</table>
						<div class="errors"><html:errors property="StudentId" bundle="Common"/></div> 
					</td>
					<td width="400" class="explain"><bean:message key="classroom.assign.student.form.explain" bundle="Admins"/></td>
				</c:when>
				<c:otherwise>
					<td colspan="2">
						<div class="ok-form" style="margin-bottom: 0px !important"><bean:message key="classroom.assign.student.all.assigned" bundle="Admins"/></div>
					</td>
				</c:otherwise>
			</c:choose>
		</tr>
	</c:otherwise>
</c:choose>
<c:if test="${ (teacher_list ne null) or (total_students ne 0) }">
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Admins"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$('#teacherId').attr('value', '_nil_');$('.errors').hide();$(':input[type=checkbox]').attr('checked', false);"/>
	</td>
</tr>
</c:if>
</table>