<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>


<div class="help" style="float: right;"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="configuration.data.title" bundle="Admins"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear:both;">
<tr>
	<th width="150"><label for="loginAttempts"><nobr><bean:message key="configuration.data.form.login.attempts" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="loginAttempts" styleId="loginAttempts" styleClass="text" style="width: 100px;" size="2" maxlength="5"/>
		<div class="errors"><html:errors property="LoginAttempts" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="configuration.data.form.login.attempts.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="activeCourse"><nobr><bean:message key="configuration.data.form.active.course" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="activeCourse" styleId="activeCourse" styleClass="text" style="width: 100px;" size="2" maxlength="5"/>
		<div class="errors"><html:errors property="ActiveCourse" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="configuration.data.form.active.course.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="adminEmail"><nobr><bean:message key="configuration.data.form.email.admin" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="adminEmail" styleId="adminEmail" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="AdminEmail" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.form.email.admin.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="sendEmailYes"><nobr><bean:message key="configuration.data.form.send.email" bundle="Admins"/></nobr></label></th>
	<td>
		<html:radio property="sendEmail" styleId="sendEmailYes" value="yes" /> <bean:message key="yes" bundle="Common"/>&nbsp;&nbsp;
		<html:radio property="sendEmail" styleId="sendEmailNo" value="no"/> <bean:message key="no" bundle="Common"/>
		<div class="errors"><html:errors property="sendEmail" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="configuration.data.form.send.email.explain" bundle="Admins"/></td>
</tr>
<c:choose>
	<c:when test="${ send_email eq true}">
		<script type="text/javascript">
			$('#sendEmailYes').attr('checked', true);
		</script>
	</c:when>
	<c:otherwise>
		<script type="text/javascript">
			$('#sendEmailNo').attr('checked', true);
		</script>
	</c:otherwise>
</c:choose>
</table>

<h2><b><bean:message key="configuration.data.subtitle.2" bundle="Admins"/></b></h2>
<table border="0" width="100%" cellspacing="0" cellpadding="5">
<tr>
	<th width="150"><label for="smtpServer"><nobr><bean:message key="configuration.data.smtp.server" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="smtpServer" styleId="smtpServer" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="SmtpServer" bundle="Common"/></div>
	</td>
	<td width="400">&nbsp;</td>
</tr>
<tr>
	<th width="150"><label for="smtpPort"><nobr><bean:message key="configuration.data.smtp.port" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="smtpPort" styleId="smtpPort" styleClass="text" style="width: 100px;" size="8" maxlength="5"/>
		<div class="errors"><html:errors property="SmtpPort" bundle="Common"/></div>
	</td>
	<td width="400">&nbsp;</td>
</tr>
<tr>
	<th width="150"><label for="authenticationYes"><nobr><bean:message key="configuration.data.smtp.authentication" bundle="Admins"/></nobr></label></th>
	<td>
		<html:radio property="smtpAuthentication" styleId="authenticationYes" value="yes" /> <bean:message key="yes" bundle="Common"/>&nbsp;&nbsp;
		<html:radio property="smtpAuthentication" styleId="authenticationNo" value="no"/> <bean:message key="no" bundle="Common"/>
		<div class="errors"><html:errors property="sendEmail" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="configuration.data.smtp.authentication.explain" bundle="Admins"/></td>
</tr>
<c:choose>
	<c:when test="${ smtp_authentication eq true}">
		<script type="text/javascript">
			$('#authenticationYes').attr('checked', true);
		</script>
	</c:when>
	<c:otherwise>
		<script type="text/javascript">
			$('#authenticationNo').attr('checked', true);
		</script>
	</c:otherwise>
</c:choose>
<tr>
	<th width="150"><label for="tlsYes"><nobr><bean:message key="configuration.data.smtp.tls" bundle="Admins"/></nobr></label></th>
	<td>
		<html:radio property="smtpTLS" styleId="tlsYes" value="yes" /> <bean:message key="yes" bundle="Common"/>&nbsp;&nbsp;
		<html:radio property="smtpTLS" styleId="tlsNo" value="no"/> <bean:message key="no" bundle="Common"/>
		<div class="errors"><html:errors property="sendEmail" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="configuration.data.smtp.tls.explain" bundle="Admins"/></td>
</tr>
<c:choose>
	<c:when test="${ smtp_authentication eq true}">
		<script type="text/javascript">
			$('#tlsYes').attr('checked', true);
		</script>
	</c:when>
	<c:otherwise>
		<script type="text/javascript">
			$('#tlsNo').attr('checked', true);
		</script>
	</c:otherwise>
</c:choose>
<tr>
	<th width="150"><label for="smtpUser"><nobr><bean:message key="configuration.data.smtp.user" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="smtpUser" styleId="smtpUser" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="SmtpUser" bundle="Common"/></div>
	</td>
	<td width="400">&nbsp;</td>
</tr>
<tr>
	<th width="150"><label for="smtpPassword"><nobr><bean:message key="configuration.data.smtp.password" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="smtpPassword" styleId="smtpPassword" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="SmtpPassword" bundle="Common"/></div>
	</td>
	<td width="400">&nbsp;</td>
</tr>
</table>
<h2><b><bean:message key="configuration.data.subtitle.3" bundle="Admins"/></b></h2>
<table border="0" width="100%" cellspacing="0" cellpadding="5">
<tr>
	<th width="150"><label for="fpFrom"><nobr><bean:message key="configuration.data.forgot.password.from" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="fpFrom" styleId="fpFrom" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="FpFrom" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.forgot.password.from.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="fpSubject"><nobr><bean:message key="configuration.data.forgot.password.subject" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="fpSubject" styleId="fpSubject" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="FpSubject" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.forgot.password.subject.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="fpBody"><nobr><bean:message key="configuration.data.forgot.password.body" bundle="Admins"/></nobr></label></th>
	<td>
		<html:textarea property="fpBody" rows="8" cols="40" style="width: 350px;"></html:textarea>
		<div class="errors"><html:errors property="FpSubject" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.forgot.password.body.explain" bundle="Admins"/></td>
</tr>
</table>
<h2><b><bean:message key="configuration.data.subtitle.4" bundle="Admins"/></b></h2>
<table border="0" width="100%" cellspacing="0" cellpadding="5">
<tr>
	<th width="150"><label for="flFrom"><nobr><bean:message key="configuration.data.forgot.login.from" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="flFrom" styleId="flFrom" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="FlFrom" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.forgot.login.from.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="flSubject"><nobr><bean:message key="configuration.data.forgot.login.subject" bundle="Admins"/></nobr></label></th>
	<td>
		<html:text property="flSubject" styleId="flSubject" styleClass="text" style="width: 350px;" size="20" maxlength="100"/>
		<div class="errors"><html:errors property="FlSubject" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.forgot.login.subject.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="150"><label for="flBody"><nobr><bean:message key="configuration.data.forgot.login.body" bundle="Admins"/></nobr></label></th>
	<td>
		<html:textarea property="flBody" rows="8" cols="40" style="width: 350px;"></html:textarea>
		<div class="errors"><html:errors property="FlBody" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="configuration.data.forgot.login.body.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th class="no-bdr" width="150">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message key="configuration.data.submit" bundle="Admins"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$('.errors').hide();$(':input[type=text]').val('');$(':input[type=textarea]').val('');
				        $('#sendEmailNo').attr('checked', true);$('#authenticationNo').attr('checked', true);
				        $('#tlsNo').attr('checked', true);"/>
	</td>
</tr>
</table>