<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b>Datos de la Asignaci&oacute;n</b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200"><label for="curriculumId"><bean:message key="common.assign.form.curriculum" bundle="Admins"/>:</label></th>
	<c:choose>
		<c:when test="${ source eq 'curriculum' }">
			<td><b><c:out value="${ curriculum_data.name }" escapeXml="false"/></b></td>
			<td width="400" class="explain">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:select property="curriculumId" styleId="curriculumId">
					<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
					<c:forEach items="${ curriculum_list }" var="curriculum">
						<option value="${ curriculum.id }"><c:out value="${ curriculum.name }" escapeXml="false"/></option>
					</c:forEach>
				</html:select>
				<div class="errors"><html:errors property="CurriculumId" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="common.assign.form.curriculum.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="subjectId"><bean:message key="common.assign.form.subject" bundle="Admins"/></label>
	<c:choose>
		<c:when test="${ source eq 'curriculum' }">
			<td>
			<html:select property="subjectId" styleId="subjectId">
				<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
				<c:forEach items="${ subject_list }" var="subject">
					<option value="${ subject.id }"><c:out value="${ subject.name }" escapeXml="false"/></option>
				</c:forEach>
			</html:select>
			<div class="errors"><html:errors property="SubjectId" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="common.assign.form.subject.explain" bundle="Admins"/></td>
		</c:when>
		<c:otherwise>
			<td><b><c:out value="${ subject_data.name }" escapeXml="false"/></b></td>
			<td width="400" class="explain">&nbsp;</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="subjectType"><bean:message key="common.assign.form.subject.type" bundle="Admins"/></label></th>
	<td>
		<html:select property="subjectType" styleId="subjectType">
			<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
			<c:forEach varStatus="index" begin="1" end="3">
				<c:set var="typeValue">subject.type.${ index.count }.abbr</c:set>
				<c:set var="typeName">subject.type.${ index.count }.name</c:set>
				<option value="<bean:message name="typeValue" bundle="Admins"/>"><bean:message name="typeName" bundle="Admins"/></option>
			</c:forEach>
		</html:select>
		<div class="errors"><html:errors property="SubjectType" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="common.assign.form.subject.type.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="200"><label for="code"><bean:message key="common.assign.form.code" bundle="Admins"/></label></th>
	<td>
		<html:text property="code" styleId="code" size="13" maxlength="10" styleClass="text" style="width: 150px;"/>
		<div class="errors"><html:errors property="Code" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="common.assign.form.code.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="200"><label for="credits"><bean:message key="common.assign.form.credits" bundle="Admins"/></label></th>
	<td>
		<html:text property="credits" styleId="credits" size="10" maxlength="5" styleClass="text" style="width: 150px;"/>
		<div class="errors"><html:errors property="Credits" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="common.assign.form.credits.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Admins"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$(':input[type=text]').val('');$('.errors').hide();
			   			$('#curriculumId').attr('value', '_nil_');$('#subjectId').attr('value', '_nil_');
			   			$('#subjectType').attr('value', '_nil_');"/>
	</td>
</tr>
</table>