<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="subjects.common.form.title" bundle="Admins"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200"><label for="name"><bean:message key="subjects.common.form.name" bundle="Admins"/></label>:</th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<td colspan="2"><b><c:out value="${ subject_data.name }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>
			<td><html:text property="name" styleId="name" styleClass="text" size="20" maxlength="100" style="width:350px;"/><div class="errors"><html:errors property="Name" bundle="Common"/></div></td>
			<td class="explain" width="350"><bean:message key="subjects.common.form.name.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="description"><bean:message key="subjects.common.form.description" bundle="Admins"/></label>:</th>
	<td><html:textarea property="description" styleId="description" styleClass="text" rows="8" cols="40" style="width:350px;"/></td>
	<td class="explain" width="350">&nbsp;</td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Admins"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$(':input[type=text]').val('');$('#description').val('');$('.errors').hide();"/>
	</td>
</tr>
</table>