<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="accounts.common.form.title.1" bundle="Admins"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200"><label for="login"><bean:message key="accounts.common.form.login" bundle="Admins"/></label>:</th>
	<c:choose>
		<c:when test="${ modify == true }">
			<td><b>${ AFAccount.login }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td><html:text property="login" styleId="login" styleClass="text" size="20" maxlength="20" style="width:350px;"/><div class="errors"><html:errors property="Login" bundle="Common"/></div></td>
			<td class="explain" width="350"><bean:message key="accounts.common.form.login.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="password"><bean:message key="accounts.common.form.password" bundle="Admins"/></label>:</th>
	<td><html:password property="password" styleId="password" styleClass="text" size="20" maxlength="30" style="width:350px;"/><div class="errors"><html:errors property="Password" bundle="Common"/></div></td>
	<td class="explain" width="350"><bean:message key="accounts.common.form.password.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="200"><label for="repeatPassword"><bean:message key="accounts.common.form.repeat_password" bundle="Admins"/></label>:</th>
	<td><html:password property="repeatPassword" styleId="repeatPassword" styleClass="text" size="20" maxlength="30" style="width:350px;"/><div class="errors"><html:errors property="RepeatPassword" bundle="Common"/></div></td>
	<td class="explain" width="350"><bean:message key="accounts.common.form.repeat_password.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="200"><label for="email"><bean:message key="accounts.common.form.email" bundle="Admins"/></label>:</th>
	<c:choose>
		<c:when test="${ modify == true }">
			<td><b>${ AFAccount.email }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td><html:text property="email" styleId="email" styleClass="text" size="20" maxlength="50" style="width:350px;"/><div class="errors"><html:errors property="Email" bundle="Common"/></div></td>
			<td class="explain" width="350"><bean:message key="accounts.common.form.email.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="userTypeAdmin"><bean:message key="accounts.common.form.type" bundle="Admins"/></label>:</th>
	<td><html:checkbox property="userTypeAdmin" value="true" styleId="userTypeAdmin"/>&nbsp;&nbsp;<bean:message key="accounts.common.form.type.admin" bundle="Admins"/></td>
	<td class="explain" width="350"><bean:message key="accounts.common.form.type.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr"><html:checkbox property="userTypeTeacher" value="true" styleId="userTypeTeacher"/>&nbsp;&nbsp;<bean:message key="accounts.common.form.type.teacher" bundle="Admins"/></td>
	<td class="explain no-bdr" width="350">&nbsp;</td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr"><html:checkbox property="userTypeStudent" value="true" styleId="userTypeStudent"/>&nbsp;&nbsp;<bean:message key="accounts.common.form.type.student" bundle="Admins"/><div class="errors"><html:errors property="UserType" bundle="Common"/></div></td>
	<td class="explain no-bdr" width="350">&nbsp;</td>
</tr>
<tr>
	<th width="200"><label for="activeYes"><bean:message key="accounts.common.form.active" bundle="Admins"/></label></th>
	<td>
		<html:radio property="active" value="true" styleId="activeYes"/>&nbsp;&nbsp;<bean:message key="yes" bundle="Common"/>&nbsp;&nbsp;
		<html:radio property="active" value="false" styleId="activeNo"/>&nbsp;&nbsp;<bean:message key="no" bundle="Common"/>
	</td>
	<td class="explain" width="350">&nbsp;</td>
</tr>
</table>
<h2><b><bean:message key="accounts.common.form.title.2" bundle="Admins"/></b></h2>
<table border="0" width="100%" cellspacing="0" cellpadding="5">
<tr>
	<th width="200"><label for="name"><bean:message key="accounts.common.form.name" bundle="Admins"/></label>:</th>
	<td><html:text property="name" styleId="name" styleClass="text" size="20" maxlength="50" style="width:350px;"/><div class="errors"><html:errors property="Name" bundle="Common"/></div></td>
	<td class="explain" width="350"><bean:message key="accounts.common.form.name.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th width="200"><label for="surname"><bean:message key="accounts.common.form.surname" bundle="Admins"/></label>:</th>
	<td><html:text property="surname" styleId="surname" styleClass="text" size="20" maxlength="50" style="width:350px;"/><div class="errors"><html:errors property="Surname" bundle="Common"/></div></td>
	<td class="explain" width="350"><bean:message key="accounts.common.form.surname.explain" bundle="Admins"/></td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Admins"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$(':input[type=text]').val('');$(':input[type=password]').val('');
			   			$('#userTypeAdmin').attr('checked', false); $('#userTypeTeacher').attr('checked', false);
			   			$('#userTypeStudent').attr('checked', false); $('#activeNo').attr('checked', true);
			   			$('.errors').hide();"/>
	</td>
</tr>
</table>
<script type="text/javascript">
	<c:choose>
		<c:when test="${ AFUser.active == true }">$('#activeYes').attr('checked', true);</c:when>
		<c:otherwise>$('#activeNo').attr('checked', true);</c:otherwise>
	</c:choose>
</script>