<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="TOQuestion" className="edu.uoc.pfc.business.transfers.TOQuestion"/>

<c:choose>
	
	<%-- MOSTRAR UNA DE LAS PREGUNTAS DEL TEST --%>
	<c:when test="${ next_question ne null }">
		<div class="hform">
			<h1><bean:message key="test.solve.title" bundle="Students"/></h1>
			<div class="help" style="float:right;">
				<bean:message key="test.solve.header.question" bundle="Students"/> ${ next_question_number } 
				<bean:message key="test.solve.header.of" bundle="Students"/> ${ current_test.totalQuestions }
			</div>
			<h2><b><c:out value="${ current_test.title }" escapeXml="false"/></b></h2>
			
			<html:form action="/test" style="clear:both;">
			<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
			<tr>
				<th class="left" width="150"><bean:message key="test.solve.statement" bundle="Students"/></th>
				<td style="padding-right: 10px;"><c:out value="${ next_question.statementHTML }" escapeXml="false"/></td>
				<td width="350" class="explain" style="border-left: 1px solid #ccc; padding-left: 10px;">
					<c:set var="question_type">test.solve.question.${ next_question.type }</c:set>
					<bean:message name="question_type" bundle="Students"/>
					<span class="points">(${ next_question_value } <bean:message key="test.solve.points" bundle="Students"/>)</span>
				</td>
			</tr>
			<c:choose>
				<c:when test="${ next_question.type eq TOQuestion.TYPE_SHORT_ANSWER }">
					<jsp:include page="/WEB-INF/pages/users/student/common/TestQuestionSA.jsp"/>
				</c:when>
				<c:when test="${ next_question.type eq TOQuestion.TYPE_TRUE_OR_FALSE }">
					<jsp:include page="/WEB-INF/pages/users/student/common/TestQuestionTF.jsp"/>
				</c:when>
				<c:when test="${ next_question.type eq TOQuestion.TYPE_NUMERIC }">
					<jsp:include page="/WEB-INF/pages/users/student/common/TestQuestionNU.jsp"/>
				</c:when>
				<c:when test="${ next_question.type eq TOQuestion.TYPE_MULTIPLE_CHOICES }">
					<jsp:include page="/WEB-INF/pages/users/student/common/TestQuestionMC.jsp"/>
				</c:when>
				<c:when test="${ next_question.type eq TOQuestion.TYPE_MATCH }">
					<jsp:include page="/WEB-INF/pages/users/student/common/TestQuestionMA.jsp"/>
				</c:when>
			</c:choose>	
			<tr>
				<th class="subtitle no-bdr" width="150">&nbsp;</th>
				<td class="no-bdr buttons" colspan="2">
					<input type="submit" class="button first" value="<bean:message key="test.solve.submit" bundle="Students"/>" style="margin: 10px 0;"/>
				</td>
			</tr>
			</table>
			<input type="hidden" name="idTest" value="${ current_test.idTestClassroom }"/>
			<input type="hidden" name="questionNumber" value="${ next_question_number }"/>
			<input type="hidden" name="cmd" value="solveTest"/>
			<input type="hidden" name="processQuestion" value="true"/>
			<input type="hidden" name="type" value="${ next_question.type }"/>
			</html:form>
		</div>
	</c:when>
	
	<%-- FINALIZACIN DEL TEST --%>
	<c:when test="${ end_test eq true }">
		<jsp:include page="/WEB-INF/pages/users/student/common/TestResult.jsp"/>
	</c:when>
	
	<%-- PRESENTACIN DEL TEST --%>
	<c:otherwise>
		<html:form action="/test">
			<jsp:include page="/WEB-INF/pages/users/student/common/TestPresentation.jsp"/>
			<input type="hidden" name="idTest" value="${ current_test.id }"/>
			<input type="hidden" name="questionNumber" value="0"/>
			<input type="hidden" name="cmd" value="solveTest"/>
		</html:form>
	</c:otherwise>
	
</c:choose>