<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_answers">${ fn:length(next_question.answers) }</c:set>

<c:forEach items="${ next_question.answers }" var="answer" varStatus="count">
<tr>
	<th width="150" class="left"><bean:message key="test.solve.question.MA.th" bundle="Students"/> ${ count.index + 1 }</th>
	<td style="padding-right: 10px;">
		<select name="maSelect${ count.index + 1 }Left" id="maSelect${ count.index + 1 }Left">
			<c:forEach items="${ next_question.answers }" var="answer_value">
				<option value="${ answer_value.id }"><c:out value="${ answer_value.text1 }" escapeXml="false"/></option>
			</c:forEach>
		</select>
		&nbsp;&nbsp;
		<select name="maSelect${ count.index + 1 }Right" id="maSelect${ count.index + 1 }Right">
			<c:forEach items="${ next_question.answers }" var="answer_value">
				<option value="${ answer_value.id }"><c:out value="${ answer_value.text2 }" escapeXml="false"/></option>
			</c:forEach>
		</select>
		<c:if test="${ total_answers eq (count.index + 1) }"><div class="errors" style="margin-top: 10px;"><html:errors property="MaAnswer" bundle="Students"/></div></c:if>
	</td>
	<td width="350" class="explain" style="border-left: 1px solid #ccc; padding-left: 10px;">
		<c:choose>
			<c:when test="${ count.index eq 0 }"><bean:message key="test.solve.question.MA.explain" bundle="Students"/></c:when>
			<c:otherwise>&nbsp;</c:otherwise>
		</c:choose>
	</td>
</tr>
</c:forEach>