<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="widget">
	<div class="title">
		<div class="links">
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="test.solve.result.title" bundle="Students"/></h1>
	</div>
	<div class="content">
	<c:choose>
		<c:when test="${ current_test.showResult eq true }">
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.solve.result.final.score" bundle="Students"/></td>
				<td class="left">
					<c:set var="final_score">test.solve.result.final.score.${ test_answer_data.finalScore }</c:set>
					<span class="points"><bean:message name="final_score" bundle="Students"/></span>
				</td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.solve.result.questions" bundle="Students"/></td>
				<td class="left">
					${ test_answer_data.correctQuestions } <bean:message key="test.solve.result.of" bundle="Students"/> ${ test_answer_data.totalQuestions }
				</td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.solve.result.score" bundle="Students"/></td>
				<td class="left">
					${ test_answer_data.score } <bean:message key="test.solve.result.of" bundle="Students"/> ${ test_answer_data.maxScore }
				</td>
			</tr>
			</table>
		</c:when>
		<c:otherwise>
			<div class="ok-form" style="margin-top: 10px !important;"><bean:message key="test.solve.no.show.result" bundle="Students"/></div>
		</c:otherwise>
	</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>