<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>
<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="category.delete.prompt" bundle="Teachers"/>'))
		{
			window.location.href = 'bank.do?cmd=deleteCategory&id=' + id;
		}
	}
	function delQuestion(id)
	{
		if (confirm('<bean:message key="question.delete.promtp" bundle="Teachers"/>'))
		{
			window.location.href = "bank.do?cmd=deleteQuestion&id=" + id + "&cat=${ category_data.id }";	
		}
	}
	function modQuestion(id)
	{
		window.location.href = "bank.do?cmd=modifyQuestion&id=" + id + "&cat=${ category_data.id }";	
	}
	function getQuestion(id)
	{
		window.location.href = "bank.do?cmd=getQuestion&id=" + id + "&cat=${ category_data.id }";
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'deleteQuestion' }"><div class="ok-form"><bean:message key="question.delete.ok" bundle="Teachers"/></div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="bank.do?cmd=modifyCategory&id=${ category_data.id }" class="modify_category"><bean:message key="modify" bundle="Common"/></a> |
			<a href="javascript: del(${ category_data.id })" class="delete_category"><bean:message key="delete" bundle="Common"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="category.data.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<td class="subtitle left" width="150"><b><bean:message key="category.common.form.name" bundle="Teachers"/></b></td>
				<td class="left"><c:out value="${ category_data.name }" escapeXml="false"/></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><b><bean:message key="category.common.form.description" bundle="Teachers"/></b></td>
				<td style="border-bottom: 0 !important;"><c:out value="${ category_data.descriptionHTML }" escapeXml="false"/></td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td>
			<c:choose>
				<c:when test="${ category_data.totalQuestions eq 0 }">
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th class="left"><bean:message key="category.data.table.tr.1.th.1" bundle="Teachers"/></th>
						<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
					</tr>
					<tr>
						<td colspan="2"><div class="errors-form" style="margin-bottom: 0 !important; text-align: left;"><bean:message key="category.data.no.questions" bundle="Teachers"/></div></td>
					</tr>
					<tr>
						<td class="subtitle left" colspan="2"><a href="${ CTLinks.QUESTION_CHOOSE_TYPE_JSP }&id=${ category_data.id }&name=${ category_data.name }" class="add"><bean:message key="category.data.link.add" bundle="Teachers"/></a></td>
					</tr>
					</table>
				</c:when>
				<c:otherwise>
					<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
					<tr>
						<th class="left" colspan="2"><bean:message key="category.data.table.tr.1.th.1" bundle="Teachers"/></th>
						<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
					</tr>
					<tr>
						<td class="subtitle left br"><bean:message key="category.data.table.tr.2.td.1" bundle="Teachers"/></td>
						<td class="subtitle br"><bean:message key="category.data.table.tr.2.td.2" bundle="Teachers"/></td>
						<td class="subtitle"><bean:message key="category.data.table.tr.2.td.3" bundle="Teachers"/></td>
					</tr>
					<c:forEach items="${ category_data.questions }" var="question">
						<c:set var="type">common.question.type.${ question.type }</c:set>
						<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
							<td class="left br"><a href="javascript: getQuestion(${ question.id });"><c:out value="${ question.title }" escapeXml="false"/></a></td>
							<td class="br"><bean:message name="type" bundle="Teachers"/></td>
							<td>
								<nobr>
									<a href="javascript: modQuestion(${ question.id })" class="modify_question"><bean:message key="modify" bundle="Common"/></a> |
									<a href="javascript: delQuestion(${ question.id })" class="delete_question"><bean:message key="delete" bundle="Common"/></a>
								</nobr>
							</td>
						</tr>
					</c:forEach>
					<tr>
						<td class="subtitle left" colspan="3"><a href="${ CTLinks.QUESTION_CHOOSE_TYPE_JSP }&id=${ category_data.id }&name=${ category_data.name }" class="add"><bean:message key="category.data.link.add" bundle="Teachers"/></a></td>
					</tr>
					</table>
 				</c:otherwise>
			</c:choose>
			</td>
		</tr>
		</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>