<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_classroom">${ fn:length(classroom_list) }</c:set>

<div class="widget">
	<div class="title">
		<div class="links">
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="classroom.list.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<c:choose>
			<c:when test="${ total_classroom eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left"><bean:message key="classroom.list.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="classroom.list.no.data" bundle="Teachers"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left" colspan="3"><bean:message key="classroom.list.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right" colspan="2"><bean:message key="total" bundle="Common"/>: ${ total_classroom }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="classroom.list.tr.2.td.1" bundle="Teachers"/></td>
					<td class="subtitle left br"><bean:message key="classroom.list.tr.2.td.2" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="classroom.list.tr.2.td.3" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="classroom.list.tr.2.td.4" bundle="Teachers"/></td>
					<td class="subtitle"><bean:message key="classroom.list.tr.2.td.5" bundle="Teachers"/></td>
				</tr>
				<c:forEach items="${ classroom_list }" var="classroom">
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="left br"><c:out value="${ classroom.curriculumName }" escapeXml="false"/></td>
						<td class="left br"><c:out value="${ classroom.subjectName }" escapeXml="false"/></td>
						<td class="br">${ classroom.course }</td>
						<td class="br">${ classroom.letter }</td>
						<td><a href="classroom.do?cmd=getClassroomTeacher&id=${ classroom.id }" class="modify_classroom"><bean:message key="classroom.list.details" bundle="Teachers"/></a></td>
					</tr>
				</c:forEach> 
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>