<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>

<c:choose>
	
	<%-- ======================================================================== --%>
	<%--				ESTADISTICAS DE LOS CUESTIONARIOS	   					  --%>
	<%-- ======================================================================== --%>
	<%-- LISTADO DE TODAS LAS ESTADISTICAS --%>
	<c:when test="${ param.page eq CTLinks.TEST_STATS_LIST_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestStatsList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>	
	<%-- ESTADISTICAS DETALLADAS DE UN CUESTIONARIO --%>
	<c:when test="${ param.page eq CTLinks.TEST_STATS_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestStatsData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>	
	
	<%-- ======================================================================== --%>
	<%--				GESTION DE LAS AULAS				   					  --%>
	<%-- ======================================================================== --%>	
	<%-- LISTADO DE AULAS DEL PROFESOR --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_LIST_TEACHER_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/ClassroomList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DETALLES DE UN AULA --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_DATA_TEACHER_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/ClassroomData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- ASIGNAR UN CUESTIONARIO A UN AULA --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_DATA_ADD_TEST_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/ClassroomAddTest.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>		

	<%-- ======================================================================== --%>
	<%--				GESTION DE LOS CUESTIONARIOS         					  --%>
	<%-- ======================================================================== --%>	
	<%-- LISTADO DE TEST --%>
	<c:when test="${ param.page eq CTLinks.TEST_LIST_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- CREACIN DE UN TEST --%>
	<c:when test="${ param.page eq CTLinks.TEST_CREATE_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- MODIFICAR UN TEST --%>
	<c:when test="${ param.page eq CTLinks.TEST_MODIFY_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestModify.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DATOS DE UN TEST --%>
	<c:when test="${ param.page eq CTLinks.TEST_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- AADIR UNA PREGUNTA A UN TEST --%>
	<c:when test="${ param.page eq CTLinks.TEST_ADD_QUESTION_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/TestAddQuestion.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- ======================================================================== --%>
	<%--				GESTION DEL BANCO DE PREGUNTAS							  --%>
	<%-- ======================================================================== --%>	
	<%-- CREAR UNA CATEGORA DE PREGUNTAS --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_BANK_CATEGORY_ADD_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/CategoryNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- MODIFICAR UNA CATEGORA DE PREGUNTAS --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_BANK_CATEGORY_MODIFY_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/CategoryModify.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DATOS UNA CATEGORA DE PREGUNTAS --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_BANK_CATEGORY_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/CategoryData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- SELECCIONAR UN TIPO DE PREGUNTA A CREAR --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_CHOOSE_TYPE_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/QuestionChooseType.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- SELECCIONAR UN TIPO DE PREGUNTA A CREAR --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_CREATE_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/QuestionNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- MODIFICAR UNA PREGUNTA --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_MODIFY_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/QuestionModify.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DATOS DE UNA PREGUNTA --%>
	<c:when test="${ param.page eq CTLinks.QUESTION_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/QuestionData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- LISTADO DE TODAS LAS CATEGORIAS DE PREGUNTAS --%>
	<c:otherwise>
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/teacher/CategoryList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:otherwise>

</c:choose>