<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="TOQuestion" className="edu.uoc.pfc.business.transfers.TOQuestion"/>

<script type="text/javascript">
	function delQuestion(id)
	{
		if (confirm('<bean:message key="question.delete.promtp" bundle="Teachers"/>'))
		{
			window.location.href = "bank.do?cmd=deleteQuestion&id=" + id + "&cat=${ question_data.categoryId }";	
		}
	}
</script>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="bank.do?cmd=modifyQuestion&id=${ question_data.id }&cat=${ question_data.categoryId }"" class="modify_question"><bean:message key="modify" bundle="Common"/></a> |
			<a href="javascript: delQuestion(${ question_data.id })" class="delete_question"><bean:message key="delete" bundle="Common"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><c:out value="${ question_data.title }" escapeXml="false"/></h1>
	</div>
	<div class="content">
		<c:choose>
			<c:when test="${ question_data.type eq TOQuestion.TYPE_SHORT_ANSWER }">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionSAView.jsp"/>
			</c:when>
			<c:when test="${ question_data.type eq TOQuestion.TYPE_TRUE_OR_FALSE }">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionTFView.jsp"/>
			</c:when>
			<c:when test="${ question_data.type eq TOQuestion.TYPE_NUMERIC }">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionNUView.jsp"/>
			</c:when>
			<c:when test="${ question_data.type eq TOQuestion.TYPE_MULTIPLE_CHOICES }">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionMCView.jsp"/>
			</c:when>
			<c:when test="${ question_data.type eq TOQuestion.TYPE_MATCH }">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionMAView.jsp"/>
			</c:when>
		</c:choose>	
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>


