<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="TOQuestion" className="edu.uoc.pfc.business.transfers.TOQuestion"/>

<div class="hform">

	<c:choose>
		<c:when test="${ operation_ok ne true }">
			<c:set var="question_type">common.question.type.${ AFQuestionBank.type }</c:set>
			<h1><bean:message key="question.modify.title" bundle="Teachers"/> <bean:message name="question_type" bundle="Teachers"/></h1>
		</c:when>
		<c:otherwise>
			<h1><bean:message key="question.modify.title" bundle="Teachers"/></h1>
		</c:otherwise>
	</c:choose>

	<c:choose>
		<%-- MODIFICACION REALIZADA CON XITO --%>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form">
				<bean:message key="question.modify.common.ok.text.1" bundle="Teachers"/><br/>
				<bean:message key="question.modify.common.ok.text.2" bundle="Teachers"/>
				<a href="bank.do?cmd=getCategory&id=${ category_id }"><bean:message key="question.modify.common.ok.text.3" bundle="Teachers"/></a> |
				<a href="index.jsp?sec=desktop"><bean:message key="question.modify.common.ok.text.4" bundle="Teachers"/></a>
			</div>
		</c:when>
		
		<%-- PREGUNTA TIPO :: EMPAREJAR --%>
		<c:when test="${ AFQuestionBank.type eq TOQuestion.TYPE_MATCH }">
			<c:if test="${ error_vs eq 'no_two_options' }">
				<div class="errors-form"><bean:message key="question.ma.form.no.two.options" bundle="Teachers"/></div>
			</c:if>
			<c:set var="submit" scope="request">question.modify.common.submit</c:set>
			<c:set var="modify" scope="request">true</c:set>
			<html:form action="/bank" onsubmit="return confirm('Modificar la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionMAForm.jsp"/>			
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="cmd" value="modifyQuestion"/>
				<input type="hidden" name="cat" value="${ category_data.id }"/>
				<html:hidden property="type"/>
				<html:hidden property="id"/>
				<html:hidden property="title"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: MULTIPLES OPCIONES --%>
		<c:when test="${ AFQuestionBank.type eq TOQuestion.TYPE_MULTIPLE_CHOICES }">
			<c:if test="${ error_vs eq 'no_two_answers' }">
				<div class="errors-form"><bean:message key="question.mc.error.no.two.answers" bundle="Teachers"/></div>
			</c:if>
			<c:if test="${ error_vs eq 'no_one_correct' }">
				<div class="errors-form"><bean:message key="question.mc.error.no.one.correct" bundle="Teachers"/></div>
			</c:if>
			<c:if test="${ error_vs eq 'invalid_format' }">
				<div class="errors-form"><bean:message key="question.mc.error.invalid.format" bundle="Teachers"/></div>
			</c:if>
			<c:set var="submit" scope="request">question.modify.common.submit</c:set>
			<c:set var="modify" scope="request">true</c:set>
			<html:form action="/bank" onsubmit="return confirm('Modificar la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionMCForm.jsp"/>			
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="cmd" value="modifyQuestion"/>
				<input type="hidden" name="cat" value="${ category_data.id }"/>
				<html:hidden property="type"/>
				<html:hidden property="id"/>
				<html:hidden property="title"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: RESPUESTA CORTA --%>
		<c:when test="${ AFQuestionBank.type eq TOQuestion.TYPE_SHORT_ANSWER }">
			<c:set var="submit" scope="request">question.modify.common.submit</c:set>
			<c:set var="modify" scope="request">true</c:set>
			<html:form action="/bank" onsubmit="return confirm('Modificar la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionSAForm.jsp"/>			
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="cmd" value="modifyQuestion"/>
				<input type="hidden" name="cat" value="${ category_data.id }"/>
				<html:hidden property="type"/>
				<html:hidden property="id"/>
				<html:hidden property="title"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: NUMRICO --%>
		<c:when test="${ AFQuestionBank.type eq TOQuestion.TYPE_NUMERIC }">
			<c:set var="submit" scope="request">question.modify.common.submit</c:set>
			<c:set var="modify" scope="request">true</c:set>
			<html:form action="/bank" onsubmit="return confirm('Modificar la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionNUForm.jsp"/>			
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="cmd" value="modifyQuestion"/>
				<input type="hidden" name="cat" value="${ category_data.id }"/>
				<html:hidden property="type"/>
				<html:hidden property="id"/>
				<html:hidden property="title"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: VERDADERO / FALSO --%>
		<c:when test="${ AFQuestionBank.type eq TOQuestion.TYPE_TRUE_OR_FALSE }">
			<c:set var="submit" scope="request">question.modify.common.submit</c:set>
			<c:set var="modify" scope="request">true</c:set>
			<html:form action="/bank" onsubmit="return confirm('Modificar la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionTFForm.jsp"/>			
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="cmd" value="modifyQuestion"/>
				<input type="hidden" name="cat" value="${ category_data.id }"/>
				<html:hidden property="type"/>
				<html:hidden property="id"/>
				<html:hidden property="title"/>
			</html:form>
		</c:when>
	</c:choose>
	
</div>