<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">

	<c:choose>
		<c:when test="${ operation_ok ne true  }">
			<c:set var="question_type">common.question.type.${ param.type }</c:set>
			<h1><bean:message key="question.create.common.title" bundle="Teachers"/> <bean:message name="question_type" bundle="Teachers"/></h1>
		</c:when>
		<c:otherwise>
			<h1><bean:message key="question.create.common.title" bundle="Teachers"/></h1>
		</c:otherwise>
	</c:choose>
	
	<c:if test="${ error_vs eq 'no_two_answers' }">
		<div class="errors-form"><bean:message key="question.mc.error.no.two.answers" bundle="Teachers"/></div>
	</c:if>
	<c:if test="${ error_vs eq 'no_one_correct' }">
		<div class="errors-form"><bean:message key="question.mc.error.no.one.correct" bundle="Teachers"/></div>
	</c:if>
	<c:if test="${ error_vs eq 'invalid_format' }">
		<div class="errors-form"><bean:message key="question.mc.error.invalid.format" bundle="Teachers"/></div>
	</c:if>
	<c:if test="${ error_vs eq 'no_two_options' }">
		<div class="errors-form"><bean:message key="question.ma.form.no.two.options" bundle="Teachers"/></div>
	</c:if>

	<c:if test="${ error_form ne null }">
		<div class="errors-form" style="margin-bottom: 0;"><c:out value="${ error_form }" escapeXml="false"/></div>
	</c:if>
	<c:choose>
		<%-- OPERACIN REALIZADA CON XITO --%>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form">
				<bean:message key="question.create.common.ok.text.1" bundle="Teachers"/><br/>
				<bean:message key="question.create.common.ok.text.2" bundle="Teachers"/>
				<a href="bank.do?cmd=getCategory&id=${ category_id }"><bean:message key="question.create.common.ok.text.3" bundle="Teachers"/></a> |
				<a href="index.jsp?sec=desktop"><bean:message key="question.create.common.ok.text.4" bundle="Teachers"/></a>
			</div>
		</c:when>
		
		<%-- PREGUNTA TIPO :: EMPAREJAR --%>
		<c:when test="${ param.type eq 'MA' }">
			<c:set var="submit" scope="request">question.create.common.submit</c:set>
			<html:form action="/bank" onsubmit="return confirm('Crear la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionMAForm.jsp"/>
				<input type="hidden" name="categoryId" value="${ param.id }"/>
				<input type="hidden" name="categoryName" value="${ param.name }"/>		
				<input type="hidden" name="cmd" value="createQuestion"/>
				<input type="hidden" name="type" value="MA"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: NUMRICO --%>
		<c:when test="${ param.type eq 'NU' }">
			<c:set var="submit" scope="request">question.create.common.submit</c:set>
			<html:form action="/bank" onsubmit="return confirm('Crear la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionNUForm.jsp"/>
				<input type="hidden" name="categoryId" value="${ param.id }"/>
				<input type="hidden" name="categoryName" value="${ param.name }"/>		
				<input type="hidden" name="cmd" value="createQuestion"/>
				<input type="hidden" name="type" value="NU"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: OPCIN MLTIPLE --%>
		<c:when test="${ param.type eq 'MC' }">
			<c:set var="submit" scope="request">question.create.common.submit</c:set>
			<html:form action="/bank" onsubmit="return confirm('Crear la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionMCForm.jsp"/>
				<input type="hidden" name="categoryId" value="${ param.id }"/>
				<input type="hidden" name="categoryName" value="${ param.name }"/>		
				<input type="hidden" name="cmd" value="createQuestion"/>
				<input type="hidden" name="type" value="MC"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: RESPUESTA CORTA --%>
		<c:when test="${ param.type eq 'SA' }">
			<c:set var="submit" scope="request">question.create.common.submit</c:set>
			<html:form action="/bank" onsubmit="return confirm('Crear la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionSAForm.jsp"/>
				<input type="hidden" name="categoryId" value="${ param.id }"/>
				<input type="hidden" name="categoryName" value="${ param.name }"/>		
				<input type="hidden" name="cmd" value="createQuestion"/>
				<input type="hidden" name="type" value="SA"/>
			</html:form>
		</c:when>
		
		<%-- PREGUNTA TIPO :: VERDADERO / FALSO --%>
		<c:otherwise>
			<c:set var="submit" scope="request">question.create.common.submit</c:set>
			<html:form action="/bank" onsubmit="return confirm('Crear la Pregunta?');">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/QuestionTFForm.jsp"/>
				<input type="hidden" name="categoryId" value="${ param.id }"/>
				<input type="hidden" name="categoryName" value="${ param.name }"/>		
				<input type="hidden" name="cmd" value="createQuestion"/>
				<input type="hidden" name="type" value="TF"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>