<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="test.delete.prompt" bundle="Teachers"/>'))
		{
			window.location.href = 'test.do?cmd=deleteTest&id=' + id;
		}
	}
	function remove(id)
	{
		if (confirm('<bean:message key="test.data.remove.prompt" bundle="Teachers"/>'))
		{
			window.location.href = 'test.do?cmd=removeQuestion&idTest=${ test_data.id}&idQuestion=' + id;	
		}
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'removeQuestion' }"><div class="ok-form"><bean:message key="test.data.remove.ok.text" bundle="Teachers"/>.</div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<c:choose>
				<c:when test="${ test_data.published eq true }">
					<a href="javascript: alert('<bean:message key="test.common.no.modify" bundle="Teachers"/>')" class="modify_test"><bean:message key="modify" bundle="Common"/></a> |
					<a href="javascript: alert('<bean:message key="test.common.no.delete" bundle="Teachers"/>')" class="delete_test"><bean:message key="delete" bundle="Common"/></a> |
				</c:when>
				<c:otherwise>
					<a href="test.do?cmd=modifyTest&id=${ test_data.id }" class="modify_test"><bean:message key="modify" bundle="Common"/></a> |
					<a href="javascript: del(${ test_data.id })" class="delete_test"><bean:message key="delete" bundle="Common"/></a> |
				</c:otherwise>
			</c:choose>
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="test.data.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<td class="subtitle left" width="150"><bean:message key="test.common.form.title" bundle="Teachers"/></td>
				<td class="left"><c:out value="${ test_data.title }" escapeXml="false"/></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="test.common.form.introduction" bundle="Teachers"/></td>
				<td class="left"><c:out value="${ test_data.introductionHTML }" escapeXml="false"/></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="test.common.form.shuffle.questions" bundle="Teachers"/></td>
				<td class="left">
					<c:choose>
						<c:when test="${ test_data.shuffleQuestions eq true }"><bean:message key="yes" bundle="Common"/></c:when>
						<c:otherwise><bean:message key="no" bundle="Common"/></c:otherwise>
					</c:choose>
				</td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="test.common.form.shuffle.questions" bundle="Teachers"/></td>
				<td class="left">
					<c:choose>
						<c:when test="${ test_data.shuffleAnswers eq true }"><bean:message key="yes" bundle="Common"/></c:when>
						<c:otherwise><bean:message key="no" bundle="Common"/></c:otherwise>
					</c:choose>
				</td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="test.common.form.show.result" bundle="Teachers"/></td>
				<td class="left">
					<c:choose>
						<c:when test="${ test_data.showResult eq true }"><bean:message key="yes" bundle="Common"/></c:when>
						<c:otherwise><bean:message key="no" bundle="Common"/></c:otherwise>
					</c:choose>
				</td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="test.common.form.show.result" bundle="Teachers"/></td>
				<td class="left">
					<c:choose>
						<c:when test="${ test_data.showReview eq true }"><bean:message key="yes" bundle="Common"/></c:when>
						<c:otherwise><bean:message key="no" bundle="Common"/></c:otherwise>
					</c:choose>
				</td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.common.form.published" bundle="Teachers"/></td>
				<td class="left" style="border-bottom: 0 !important;">
					<c:choose>
						<c:when test="${ test_data.published eq true }"><bean:message key="yes" bundle="Common"/></c:when>
						<c:otherwise><bean:message key="no" bundle="Common"/></c:otherwise>
					</c:choose>
				</td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td>
			<c:choose>
				<c:when test="${ test_data.totalQuestions eq 0 }">
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th class="left"><bean:message key="test.data.tr.1.th.1" bundle="Teachers"/></th>
						<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
					</tr>
					<tr>
						<td colspan="2"><div class="errors-form" style="margin-bottom: 0 !important; text-align: left;"><bean:message key="test.data.no.questions" bundle="Teachers"/></div></td>
					</tr>
					<tr>
						<td class="subtitle left" colspan="2"><a href="test.do?cmd=addQuestion&id=${ test_data.id }" class="add"><bean:message key="test.data.add.question.link" bundle="Teachers"/></a></td>
					</tr>
					</table>
				</c:when>
				<c:otherwise>
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th class="left" colspan="2"><bean:message key="test.data.tr.1.th.1" bundle="Teachers"/></th>
						<th class="right" colspan="2"><bean:message key="total" bundle="Common"/>: ${ test_data.totalQuestions }</th>
					</tr>
					<tr>
						<td class="subtitle left br"><bean:message key="test.data.questions.td.1" bundle="Teachers"/></td>
						<td class="subtitle br"><bean:message key="test.data.questions.td.2" bundle="Teachers"/></td>
						<td class="subtitle br"><bean:message key="test.data.questions.td.3" bundle="Teachers"/></td>
						<td class="subtitle"><bean:message key="test.data.questions.td.4" bundle="Teachers"/></td>
					</tr>
					<c:forEach items="${ test_data.questions }" var="tq">
						<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
							<td class="br left"><a href="bank.do?cmd=getQuestion&id=${ tq.question.id }&cat=${ tq.question.categoryId }"><c:out value="${ tq.question.title }" escapeXml="false"/></a></td>
							<td class="br">
								<c:set var="type">common.question.type.${ tq.question.type }</c:set>
								<bean:message name="type" bundle="Teachers"/>
							</td>
							<td class="br">${ tq.value }</td>
							<td class="br">
								<c:choose>
									<c:when test="${ test_data.published eq true }">
										<a href="javascript: alert('<bean:message key="test.data.no.remove" bundle="Teachers"/>')" class="del"><bean:message key="test.data.questions.unassign" bundle="Teachers"/></a>
									</c:when>
									<c:otherwise>
										<a href="javascript: remove(${ tq.question.id })" class="del"><bean:message key="test.data.questions.unassign" bundle="Teachers"/></a>
									</c:otherwise>
								</c:choose>
							</td>
						</tr>
					</c:forEach>
					<tr>
						<c:choose>
							<c:when test="${ test_data.published eq true }">
								<td class="subtitle left" colspan="4"><a href="javascript: alert('<bean:message key="test.data.no.add" bundle="Teachers"/>')" class="add"><bean:message key="test.data.add.question.link" bundle="Teachers"/></a></td>
							</c:when>
							<c:otherwise>
								<td class="subtitle left" colspan="4"><a href="test.do?cmd=addQuestion&id=${ test_data.id }" class="add"><bean:message key="test.data.add.question.link" bundle="Teachers"/></a></td>
							</c:otherwise>
						</c:choose>
					</tr>
					</table>
				</c:otherwise>
			</c:choose>
			</td>
		</tr>
		</table>	
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>