<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>
<c:set var="total_test">${ fn:length(test_list) }</c:set>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="test.delete.prompt" bundle="Teachers"/>'))
		{
			window.location.href = 'test.do?cmd=deleteTest&id=' + id;
		}
	}
	function mod(id)
	{
		window.location.href = 'test.do?cmd=modifyTest&id=' + id;
	}
	function get(id)
	{
		window.location.href = 'test.do?cmd=getTest&id=' + id;
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'deleteTest' }"><div class="ok-form"><bean:message key="test.delete.ok" bundle="Teachers"/></div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="index.jsp${ CTLinks.TEST_CREATE_PARAMS }" class="new_test"><bean:message key="test.list.create" bundle="Teachers"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="test.list.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<c:choose>
			<c:when test="${ total_test eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left"><bean:message key="test.list.table.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="test.list.no.data" bundle="Teachers"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left" colspan="2"><bean:message key="test.list.table.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right" colspan="2"><bean:message key="total" bundle="Common"/>: ${ total_test }</th>
				</tr>
				<tr>
					<td class="subtitle br left"><bean:message key="test.list.table.tr.2.td.1" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="test.list.table.tr.2.td.2" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="test.list.table.tr.2.td.3" bundle="Teachers"/></td>
					<td class="subtitle"><bean:message key="test.list.table.tr.2.td.4" bundle="Teachers"/></td>
				</tr>
				<c:forEach items="${ test_list }" var="test">
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="br left"><a href="javascript: get(${ test.id })"><c:out value="${ test.title }" escapeXml="false"/></a></td>
						<td class="br">${ test.totalQuestions }</td>
						<td class="br">
							<c:choose>
								<c:when test="${ test.published eq true }"><img src="<c:url value="res/img/web/icon_check_small.png"/>" alt="X" width="16" height="16"/></c:when>
								<c:otherwise><img src="<c:url value="res/img/web/icon_error_small.png"/>" alt="" width="16" height="16"/></c:otherwise>
							</c:choose>
						</td>
						<td>
							<nobr>
							<c:choose>
								<c:when test="${ test.published eq true }">
									<a href="javascript: alert('<bean:message key="test.common.no.modify" bundle="Teachers"/>')" class="modify_test"><bean:message key="modify" bundle="Common"/></a> |
									<a href="javascript: alert('<bean:message key="test.common.no.delete" bundle="Teachers"/>')" class="delete_test"><bean:message key="delete" bundle="Common"/></a>								
								</c:when>
								<c:otherwise>
									<a href="javascript: mod(${ test.id })" class="modify_test"><bean:message key="modify" bundle="Common"/></a> |
									<a href="javascript: del(${ test.id })" class="delete_test"><bean:message key="delete" bundle="Common"/></a>
								</c:otherwise>
							</c:choose>
							</nobr>
						</td>
					</tr>
				</c:forEach>
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>