<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_test">${ fn:length(test_list) }</c:set>

<div class="widget">
	<div class="title">
		<div class="links"><bean:message key="common.help.link" bundle="Users"/></div>
		<h1><bean:message key="test.list.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<c:choose>
			<c:when test="${ total_test eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left"><bean:message key="test.stats.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="test.stats.list.no.data" bundle="Teachers"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left" colspan="2"><bean:message key="test.stats.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right" colspan="2"><bean:message key="total" bundle="Common"/>: ${ total_test }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="test.stats.tr.2.td.1" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="test.stats.tr.2.td.2" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="test.stats.tr.2.td.3" bundle="Teachers"/></td>
					<td class="subtitle"><bean:message key="test.stats.tr.2.td.4" bundle="Teachers"/></td>
				</tr>
				<c:forEach items="${ test_list }" var="test">
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="br left"><a href="test.do?cmd=getTest&id=${ test.idTest }"><c:out value="${ test.title }" escapeXml="false"/></a></td>
						<td class="br">${ test.totalQuestions }</td>
						<td class="br">${ test.totalAnswers }</td>
						<td>
							<c:choose>
								<c:when test="${ test.totalAnswers eq 0 }">
									<a href="javascript: alert('<bean:message key="test.stats.tr.2.td.4.no.stats" bundle="Teachers"/>')" class="stats"><bean:message key="test.stats.tr.2.td.4.value" bundle="Teachers"/></a>
								</c:when>
								<c:otherwise>
									<a href="test.do?cmd=getTestStats&id=${ test.idTest }" class="stats"><bean:message key="test.stats.tr.2.td.4.value" bundle="Teachers"/></a>
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
				</c:forEach>
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>