<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="category.common.form.title" bundle="Teachers"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200" class="left"><label for="testId"><bean:message key="classroom.add.form.field.1" bundle="Teachers"/></label></th>
	<td>
		<html:select property="testId" styleId="testId">
			<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
			<c:forEach items="${ test_list }" var="test">
				<option value="${ test.id }"><c:out value="${ test.title }" escapeXml="false"/></option>
			</c:forEach>
		</html:select>
		<div class="errors"><html:errors property="TestId" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="classroom.add.form.field.1.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th width="200" class="left"><label for="openDateDay"><bean:message key="classroom.add.form.field.2" bundle="Teachers"/></label></th>
	<td>
		<html:text property="openDateDay" styleId="openDateDay" styleClass="text" size="4" maxlength="2" style="width: 30px;"/>
		<html:select property="openDateMonth" styleId="openDateMonth">
			<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
			<c:forEach varStatus="count" begin="1" end="12">
				<c:set var="month_name">month.${ count.index }</c:set>
				<option value="${ count.index }"><bean:message name="month_name" bundle="Common"/></option>
			</c:forEach>
		</html:select>
		<html:text property="openDateYear" styleId="openDateYear" styleClass="text" size="6" maxlength="4" style="width: 60px;"/>
		<div class="errors"><html:errors property="OpenDate" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="classroom.add.form.field.2.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th width="200" class="left"><label for="closeDateDay"><bean:message key="classroom.add.form.field.3" bundle="Teachers"/></label></th>
	<td>
		<html:text property="closeDateDay" styleId="closeDateDay" styleClass="text" size="4" maxlength="2" style="width: 30px;"/>
		<html:select property="closeDateMonth" styleId="closeDateMonth">
			<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
			<c:forEach varStatus="count" begin="1" end="12">
				<c:set var="month_name">month.${ count.index }</c:set>
				<option value="${ count.index }"><bean:message name="month_name" bundle="Common"/></option>
			</c:forEach>
		</html:select>
		<html:text property="closeDateYear" styleId="closeDateYear" styleClass="text" size="6" maxlength="4" style="width: 60px;"/>
		<div class="errors"><html:errors property="CloseDate" bundle="Common"/></div>
	</td>
	<td class="explain" width="400"><bean:message key="classroom.add.form.field.3.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Teachers"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$('.errors').hide();$(':input[type=text]').val('');
			   			$('#testId').attr('value', '_nil_');$('#openDateMonth').attr('value', '_nil_');
			   			$('#closeDateMonth').attr('value', '_nil_');"/>
	</td>
</tr>
</table>
<script type="text/javascript">
	$('#testId').attr('value', '${ AFClassroom.testId }');
	$('#openDateMonth').attr('value', '${ AFClassroom.openDateMonth }');
	$('#closeDateMonth').attr('value', '${ AFClassroom.closeDateMonth }');
</script>