<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help" style="float:right;"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="question.tf.form.title" bundle="Teachers"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th class="left" width="150"><bean:message key="question.create.common.category" bundle="Teachers"/></th>
	<c:choose>
		<c:when test="${ category_data eq null }"><td><a href="bank.do?cmd=getCategory&id=${ param.id }"><c:out value="${ param.name }" escapeXml="false"/></a></td></c:when>
		<c:otherwise><td><a href="bank.do?cmd=getCategory&id=${ category_data.id }"><c:out value="${ category_data.name }" escapeXml="false"/></a></td></c:otherwise>
	</c:choose>
	<td width="350" class="explain">&nbsp;</td>
</tr>
<tr>
	<th class="left" width="150"><label for="title"><bean:message key="question.create.common.question.title" bundle="Teachers"/></label></th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<td colspan="2"><b><c:out value="${ AFQuestionBank.title }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>	
			<td>
				<html:text property="title" styleId="title" styleClass="text" size="20" maxlength="200" style="width: 350px;"/>
				<div class="errors"><html:errors property="Title" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="question.create.common.title.explain" bundle="Teachers"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th class="left" width="150"><label for="statement"><bean:message key="question.create.common.statement" bundle="Teachers"/></label></th>
	<td>
		<html:textarea property="statement" styleId="statement" styleClass="text" rows="8" cols="40" style="width: 350px;"/>
		<div class="errors"><html:errors property="Statement" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="question.create.common.statement.explain" bundle="Teachers"/></td>
</tr>
</table>
<c:forEach begin="1" end="5" varStatus="count">
	<h2><b><bean:message key="question.ma.form.h2" bundle="Teachers"/> ${ count.index }</b></h2>
	<table border="0" width="100%" cellspacing="0" cellpadding="5">
	<tr>
		<th class="left" width="150"><label for="maTextLeft${ count.index }"><bean:message key="question.ma.form.text.left" bundle="Teachers"/></label></th>
		<td>
			<c:choose>
				<c:when test="${ count.index eq 1 }"><html:text property="maTextLeft1" styleId="maTextLeft1" styleClass="text" style="width: 350px;" size="20" maxlength="200"/></c:when> 
				<c:when test="${ count.index eq 2 }"><html:text property="maTextLeft2" styleId="maTextLeft2" styleClass="text" style="width: 350px;" size="20" maxlength="200"/></c:when>
				<c:when test="${ count.index eq 3 }"><html:text property="maTextLeft3" styleId="maTextLeft3" styleClass="text" style="width: 350px;" size="20" maxlength="200"/></c:when>
				<c:when test="${ count.index eq 4 }"><html:text property="maTextLeft4" styleId="maTextLeft4" styleClass="text" style="width: 350px;" size="20" maxlength="200"/></c:when>
				<c:when test="${ count.index eq 5 }"><html:text property="maTextLeft5" styleId="maTextLeft5" styleClass="text" style="width: 350px;" size="20" maxlength="200"/></c:when>
			</c:choose>
		</td>
		<td width="400" class="explain"><bean:message key="question.ma.form.text.left.explain" bundle="Teachers"/></td>
	</tr>
	<tr>
		<th class="left" width="150"><label for="maTextRight${ count.index }"><bean:message key="question.ma.form.text.right" bundle="Teachers"/></label></th>
		<td>
			<c:choose>
				<c:when test="${ count.index eq 1 }">
					<html:text property="maTextRight1" styleId="maTextRight1" styleClass="text" style="width: 350px;" size="20" maxlength="200"/>
					<div class="errors"><html:errors property="Match_1" bundle="Teachers"/></div>
				</c:when> 
				<c:when test="${ count.index eq 2 }">
					<html:text property="maTextRight2" styleId="maTextRight2" styleClass="text" style="width: 350px;" size="20" maxlength="200"/>
					<div class="errors"><html:errors property="Match_2" bundle="Teachers"/></div>
				</c:when>
				<c:when test="${ count.index eq 3 }">
					<html:text property="maTextRight3" styleId="maTextRight3" styleClass="text" style="width: 350px;" size="20" maxlength="200"/>
					<div class="errors"><html:errors property="Match_3" bundle="Teachers"/></div>
				</c:when>
				<c:when test="${ count.index eq 4 }">
					<html:text property="maTextRight4" styleId="maTextRight4" styleClass="text" style="width: 350px;" size="20" maxlength="200"/>
					<div class="errors"><html:errors property="Match_4" bundle="Teachers"/></div>
				</c:when>
				<c:when test="${ count.index eq 5 }">
					<html:text property="maTextRight5" styleId="maTextRight5" styleClass="text" style="width: 350px;" size="20" maxlength="200"/>
					<div class="errors"><html:errors property="Match_5" bundle="Teachers"/></div>
				</c:when>
			</c:choose>
		</td>
		<td width="400" class="explain">&nbsp;</td> 
	</tr>
	<tr>
		<th class="left" width="150"><label for="maExplain${ count.index }"><bean:message key="question.ma.form.explain" bundle="Teachers"/></label></th>
		<td>
			<c:choose>
				<c:when test="${ count.index eq 1 }"><html:textarea property="maExplain1" styleId="maExplain1" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when> 
				<c:when test="${ count.index eq 2 }"><html:textarea property="maExplain2" styleId="maExplain2" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 3 }"><html:textarea property="maExplain3" styleId="maExplain3" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 4 }"><html:textarea property="maExplain4" styleId="maExplain4" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 5 }"><html:textarea property="maExplain5" styleId="maExplain5" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
			</c:choose>
		</td>
		<td width="400" class="explain">&nbsp;</td>
	</tr>
	<c:if test="${ count.index eq 5 }">
		<tr>
			<th class="no-bdr" width="150">&nbsp;</th>
			<td class="no-bdr buttons" colspan="2">
				<input type="submit" class="button first" value="<bean:message name="submit" bundle="Teachers"/>"/>
				<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
					   onclick="$(':input[type=text]').val('');$(':input[type=textarea]').val('');$('.errors').hide();"/>
			</td>
		</tr>
	</c:if>
	</table>
</c:forEach>