<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help" style="float:right;"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="question.tf.form.title" bundle="Teachers"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th class="left" width="150"><bean:message key="question.create.common.category" bundle="Teachers"/></th>
	<c:choose>
		<c:when test="${ category_data eq null }"><td><a href="bank.do?cmd=getCategory&id=${ param.id }"><c:out value="${ param.name }" escapeXml="false"/></a></td></c:when>
		<c:otherwise><td><a href="bank.do?cmd=getCategory&id=${ category_data.id }"><c:out value="${ category_data.name }" escapeXml="false"/></a></td></c:otherwise>
	</c:choose>
	<td width="350" class="explain">&nbsp;</td>
</tr>
<tr>
	<th class="left" width="150"><label for="title"><bean:message key="question.create.common.question.title" bundle="Teachers"/></label></th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<td colspan="2"><b><c:out value="${ AFQuestionBank.title }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>	
			<td>
				<html:text property="title" styleId="title" styleClass="text" size="20" maxlength="200" style="width: 350px;"/>
				<div class="errors"><html:errors property="Title" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="question.create.common.title.explain" bundle="Teachers"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th class="left" width="150"><label for="statement"><bean:message key="question.create.common.statement" bundle="Teachers"/></label></th>
	<td>
		<html:textarea property="statement" styleId="statement" styleClass="text" rows="8" cols="40" style="width: 350px;"/>
		<div class="errors"><html:errors property="Statement" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="question.create.common.statement.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th class="left" width="150"><label for="nuValue"><bean:message key="question.nu.form.value" bundle="Teachers"/></label></th>
	<td>
		<html:text property="nuValue" styleId="nuValue" styleClass="text" size="5" maxlength="10" style="width: 100px;"/>
		<div class="errors"><html:errors property="NuValue" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="question.nu.form.value.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th class="left" width="150"><label for="nuError"><bean:message key="question.nu.form.error" bundle="Teachers"/></label></th>
	<td>
		<html:text property="nuError" styleId="nuError" styleClass="text" size="5" maxlength="10" style="width: 100px;"/>
		<div class="errors"><html:errors property="NuError" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="question.nu.form.error.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th class="left" width="150"><label for="nuText"><bean:message key="question.nu.form.text" bundle="Teachers"/></label></th>
	<td><html:textarea property="nuText" styleId="nuText" styleClass="text" rows="4" cols="40" style="width: 350px;"/></td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Teachers"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$(':input[type=text]').val('');$(':input[type=textarea]').val('');$('.errors').hide();"/>
	</td>
</tr>
</table>