<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<h1><bean:message key="main.title" bundle="Help"/></h1>

<p><bean:message key="main.text" bundle="Help"/> <a href="mailto:${ active_configuration.adminEmail }">${ active_configuration.adminEmail }</a></p>

<a name="login"></a>
<h2><b><bean:message key="main.login.title" bundle="Help"/></b></h2>
<ul>
	<li><bean:message key="main.login.text.1" bundle="Help"/></li>
	<li><bean:message key="main.login.text.2" bundle="Help"/></li>
	<li><bean:message key="main.login.text.3" bundle="Help"/></li>
	<li><bean:message key="main.login.text.4" bundle="Help"/></li>
</ul>

<c:if test="${ user_info.admin eq true }">
	<h1><bean:message key="main.title.admin" bundle="Help"/></h1>
	<a name="accounts"></a>
	<h2><b><bean:message key="main.accounts.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.accounts.text" bundle="Help"/></li>
	</ul>
	
	<a name="curriculum"></a>
	<h2><b><bean:message key="main.curriculum.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.curriculum.text" bundle="Help"/></li>
	</ul>
	
	<a href="subjects"></a>
	<h2><b><bean:message key="main.subjects.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.subjects.text" bundle="Help"/></li>
	</ul>
	
	<a href="classrooms"></a>
	<h2><b><bean:message key="main.classrooms.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.classrooms.text" bundle="Help"/></li>
	</ul>
	
	<a href="configuration"></a>
	<h2><b><bean:message key="main.config.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.config.text" bundle="Help"/></li>
	</ul>
</c:if>

<c:if test="${ user_info.teacher eq true }">
	<h1><bean:message key="main.title.teacher" bundle="Help"/></h1>
	<a name="bank"></a>
	<h2><b><bean:message key="main.bank.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.bank.text.1" bundle="Help"/></li>
		<li>
			<bean:message key="main.bank.text.2" bundle="Help"/>
			<ul style="margin-top: 10px; margin-bottom: 0;">
				<li><bean:message key="main.bank.text.2.li.1" bundle="Help"/></li>
				<li><bean:message key="main.bank.text.2.li.2" bundle="Help"/></li>
				<li><bean:message key="main.bank.text.2.li.3" bundle="Help"/></li>
				<li><bean:message key="main.bank.text.2.li.4" bundle="Help"/></li>
				<li><bean:message key="main.bank.text.2.li.5" bundle="Help"/></li>
			</ul>
		</li>
		<li><bean:message key="main.bank.text.3" bundle="Help"/></li>
	</ul>
	
	<a name="test"></a>
	<h2><b><bean:message key="main.test.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.test.text" bundle="Help"/></li>
	</ul>
	
	<a name="classrooms_teacher"></a>
	<a name="test"></a>
	<h2><b><bean:message key="main.classroom.teacher.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.classroom.teacher.text" bundle="Help"/></li>
	</ul>
	
	<a name="stats"></a>
	<h2><b><bean:message key="main.stats.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.stats.text" bundle="Help"/></li>
	</ul>
</c:if>

<c:if test="${ user_info.student eq true }">
	<h1><bean:message key="main.title.student" bundle="Help"/></h1>
	<a name="classrooms_student"></a>
	<h2><b><bean:message key="main.classroom.student.title" bundle="Help"/></b></h2>
	<ul>
		<li><bean:message key="main.classroom.student.text" bundle="Help"/></li>
	</ul>
</c:if>