<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:choose>
	
	<%-- ADMINISTRADORES --%>
	<c:when test="${ (param.sec == 'admin') and (user_info.admin == true) }">
		<jsp:include page="/WEB-INF/pages/users/admin/Main.jsp"/>
	</c:when>
	
	<%-- PROFESORES --%>
	<c:when test="${ (param.sec == 'teacher') and (user_info.teacher == true) }">
		<jsp:include page="/WEB-INF/pages/users/teacher/Main.jsp"/>
	</c:when>
	
	<%-- ALUMNOS --%>
	<c:when test="${ (param.sec == 'student') and (user_info.student == true) }">
		<jsp:include page="/WEB-INF/pages/users/student/Main.jsp"/>
	</c:when>
	
	<%-- EDITAR EL PERFIL DE UNA CUENTA DE USUARIO --%>
	<c:when test="${ param.page == 'editAccount' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/common/UserEdit.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>			
	</c:when>
		
	<%-- POR DEFECTO: MOSTRAR EL ESCRITORIO --%>
	<c:otherwise>
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/common/Desktop.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:otherwise>
	
</c:choose>