<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>
<c:set var="total_classroom">${ fn:length(classroom_list) }</c:set>

<script type="text/javascript">
	function get(id)
	{
		window.location.href = 'classroom.do?cmd=getClassroom&id=' + id;
	}
	function del(id)
	{
		if (confirm('<bean:message key="classroom.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'classroom.do?cmd=deleteClassroom&id=' + id;
		}
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'deleteClassroom' }"><div class="ok-form"><bean:message key="classroom.delete.ok" bundle="Admins"/>.</div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="${ CTLinks.CLASSROOM_CREATE_JSP }" class="add_classroom"><bean:message key="classroom.list.create" bundle="Admins"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="classroom.list.title" bundle="Admins"/></h1>
	</div>	
	<div class="content">
		<c:choose>
			<c:when test="${ total_classroom eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left"><bean:message key="classroom.list.table.row.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="classroom.list.table.row.1.th.2" bundle="Admins"/>: 0</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="classroom.list.no.classroom" bundle="Admins"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left" colspan="3"><bean:message key="classroom.list.table.row.1.th.1" bundle="Admins"/></th>
					<th class="right" colspan="2"><bean:message key="classroom.list.table.row.1.th.2" bundle="Admins"/>: ${ total_classroom }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="classroom.list.table.row.2.td.1" bundle="Admins"/></td>
					<td class="subtitle left br"><bean:message key="classroom.list.table.row.2.td.2" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="classroom.list.table.row.2.td.3" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="classroom.list.table.row.2.td.4" bundle="Admins"/></td>
					<td class="subtitle"><bean:message key="classroom.list.table.row.2.td.5" bundle="Admins"/></td>
				</tr>
				<c:forEach items="${ classroom_list }" var="classroom">
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="left br"><nobr><a href="curriculum.do?cmd=getPlan&id=${ classroom.curriculumId }"><c:out value="${ classroom.curriculumName }" escapeXml="false"/></a></nobr>
						<td class="left br"><nobr><a href="subject.do?cmd=getSubject&id=${ classroom.subjectId }"><c:out value="${ classroom.subjectName }" escapeXml="false"/></a></nobr></td>
						<td class="br">${ classroom.course }</td>
						<td class="br">${ classroom.letter }</td>
						<td>
							<nobr>
								<a href="javascript: get(${ classroom.id })" class="modify_classroom"><bean:message key="modify" bundle="Common"/></a> |
								<a href="javascript: del(${ classroom.id })" class="delete_classroom"><bean:message key="delete" bundle="Common"/></a>
							</nobr>
						</td> 
					</tr>
				</c:forEach>
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>