<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>

<c:choose>

	<%-- ======================================================================== --%>
	<%--				GESTION DE LOS PLANES DE ESTUDIO						  --%>
	<%-- ======================================================================== --%>
	<%-- LISTADO DE LOS PLANES DE ESTUDIO --%>
	<c:when test="${ param.page eq CTLinks.CURRICULUM_LIST_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/CurriculumList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- CREACIN DE UN PLAN DE ESTUDIOS --%>
	<c:when test="${ param.page eq CTLinks.CURRICULUM_CREATE_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/CurriculumNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- INFORMACIN DE UN PLAN DE ESTUDIOS --%>
	<c:when test="${ param.page eq CTLinks.CURRICULUM_GET_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/CurriculumData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- MODIFICAR UN PLAN DE ESTUDIOS --%>
	<c:when test="${ param.page eq CTLinks.CURRICULUM_MODIFY_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/CurriculumModify.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- ASIGNAR UNA ASIGNATURA AL PLAN DE ESTUDIOS --%>
	<c:when test="${ param.page eq CTLinks.CURRICULUM_ADD_SUBJECT_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/CurriculumAddSubject.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>

	<%-- ======================================================================== --%>
	<%--				GESTION DE LAS ASIGNATURAS								  --%>
	<%-- ======================================================================== --%>
	<%-- LISTADO DE TODAS LAS ASIGNATURAS --%>
	<c:when test="${ param.page eq CTLinks.SUBJECT_LIST_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/SubjectList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- CREACIN DE UNA ASIGNATURA --%>
	<c:when test="${ param.page eq CTLinks.SUBJECT_CREATE_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/SubjectNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DATOS DE UNA ASIGNATURA --%>
	<c:when test="${ param.page eq CTLinks.SUBJECT_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/SubjectData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- MODIFICAR UNA ASIGNATURA --%>
	<c:when test="${ param.page eq CTLinks.SUBJECT_MODIDIFY_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/SubjectModify.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- ASIGNAR A UN PLAN DE ESTUDIOS --%>
	<c:when test="${ param.page eq CTLinks.SUBJECT_ADD_CURRICULUM_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/SubjectAddCurriculum.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- ======================================================================== --%>
	<%--				GESTION DE LAS AULAS									  --%>
	<%-- ======================================================================== --%>
	<%-- LISTADO DE TODAS LAS AULAS --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_LIST_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/ClassroomList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- CREACIN DE UN AULA --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_CREATE_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/ClassroomNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- INFORMACIN DE UN AULA --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/ClassroomData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- ASIGNAR UN PROFESOR O UN ALUMNO A UN AULA --%>
	<c:when test="${ param.page eq CTLinks.CLASSROOM_ASSIGN_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/ClassroomAssign.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
			
	<%-- ======================================================================== --%>
	<%--				GESTION DE LA CONFIGURACIN								  --%>
	<%-- ======================================================================== --%>	
	<c:when test="${ param.page eq CTLinks.CONFIGURATION_DATA_PARAM_PAGE }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/ConfigurationData.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>

	<%-- ======================================================================== --%>
	<%--				GESTION DE LAS CUENTAS DE USUARIO 						  --%>
	<%-- ======================================================================== --%>
	<%-- CREACION DE UNA CUENTA DE USUARIO --%>
	<c:when test="${ param.page == 'formAccount' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/UserNew.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- CONSULTA Y MODIFICACIN DE UNA CUENTA DE USUARIO --%>
	<c:when test="${ param.page == 'userInfo' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/UserInfo.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTADO DE LAS CUENTAS DE LOS USUARIOS --%>
	<c:otherwise>
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/UserList.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:otherwise>
	
</c:choose>