<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_subjects">${ fn:length(curriculum_list) }</c:set>

<div class="hform">
	<h1><bean:message key="subject.add.curriculum.title" bundle="Admins"/></h1>
	<c:choose>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form">
				<bean:message key="common.assign.curriculum.subject.ok.text.1" bundle="Admins"/><br/>
				<bean:message key="common.assign.curriculum.subject.ok.text.2" bundle="Admins"/>
				<a href="subject.do?cmd=addCurriculum&id=${ subject_id }"><bean:message key="common.assign.curriculum.subject.ok.text.2.link.4" bundle="Admins"/></a> |
				<a href="subject.do?cmd=getSubject&id=${ subject_id }"><bean:message key="common.assign.curriculum.subject.ok.text.2.link.5" bundle="Admins"/></a> |
				<a href="index.jsp?sec=desktop"><bean:message key="common.assign.curriculum.subject.ok.text.2.link.3" bundle="Admins"/></a>
			</div>
		</c:when>
		<c:otherwise>
			<c:choose>
				<c:when test="${ total_subjects eq 0 }">
					<div class="errors-form">
						<bean:message key="subject.add.curriculum.no.curriculum.text.1" bundle="Admins"/><br/>
						<bean:message key="subject.add.curriculum.no.curriculum.text.2" bundle="Admins"/>
					</div>
				</c:when>
				<c:otherwise>
					<c:set var="source" scope="request">subject</c:set>
					<c:set var="submit" scope="request">common.assign.submit.subject</c:set>
					<html:form action="/subject" onsubmit="return confirm('Asignar la Asignatura al Plan de Estudios?');">
						<jsp:include page="/WEB-INF/pages/users/admin/common/CurriculumSubjectForm.jsp"/>
						<input type="hidden" name="id" value="${ subject_data.id }"/>
						<input type="hidden" name="action" value="do"/>
						<input type="hidden" name="cmd" value="addCurriculum"/>
					</html:form>
				</c:otherwise>
			</c:choose>
		</c:otherwise>
	</c:choose>
</div>