<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="subjects.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'subject.do?cmd=deleteSubject&id=' + id;
		}
	}
	function mod(id)
	{
		window.location.href = 'subject.do?cmd=modifySubject&id=' + id;
	}
	function get(id)
	{
		window.location.href = 'subject.do?cmd=getSubject&id=' + id;
	}
</script>

<c:set var="total_subjects">${ fn:length(subject_list) }</c:set>
<c:choose>
	<c:when test="${ operation_ok eq 'deleteSubject' }"><div class="ok-form"><bean:message key="subjects.delete.ok" bundle="Admins"/>.</div></c:when>
</c:choose>
<div class="widget">
	<div class="title">
		<div class="links">
			<a href="index.jsp?sec=admin&page=createSubject" class="add_subject"><bean:message key="subjects.list.create" bundle="Admins"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="subjects.list.title" bundle="Admins"/></h1>
	</div>
	<div class="content">
		<c:choose>
			<c:when test="${ total_subjects eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left"><bean:message key="subjects.list.table.row.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_subjects }</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="subjects.list.no.subject" bundle="Admins"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left" colspan="2"><bean:message key="subjects.list.table.row.1.th.1" bundle="Admins"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_subjects }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="subjects.list.table.2.row.1.td.1" bundle="Admins"/></td>
					<td class="subtitle br"><bean:message key="subjects.list.table.2.row.1.td.2" bundle="Admins"/></td>
					<td class="subtitle"><bean:message key="subjects.list.table.2.row.1.td.3" bundle="Admins"/></td>
				</tr>
				<c:forEach items="${ subject_list }" var="subject">
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="left br"><nobr><a href="javascript: get(${ subject.id })"><c:out value="${ subject.name }" escapeXml="false"/></a></nobr></td>
						<td class="br"><fmt:formatDate value="${ subject.created }" pattern="dd/MM/yyyy hh:mm:ss"/></td>
						<td>
							<nobr><a href="javascript: mod(${ subject.id })" class="modify_subject"><bean:message key="modify" bundle="Common"/></a> |
							<a href="javascript: del(${ subject.id });" class="delete_subject"><bean:message key="delete" bundle="Common"/></a></nobr>
						</td>
					</tr>
				</c:forEach>
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>		
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>