<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">
	<h1><bean:message key="subjects.create.title" bundle="Admins"/></h1>
	<c:if test="${ error_form != null }">
		<div class="errors-form"><c:out value="${ error_form }" escapeXml="false"/></div>
	</c:if>
	<c:choose>
		<c:when test="${ operation_ok == true }">
		<div class="ok-form">
			<bean:message key="subjects.create.ok.text.1" bundle="Admins"/><b>Id = ${ subject.id }</b><br/>
			<bean:message key="subjects.create.ok.text.2" bundle="Admins"/>
		</div>
		</c:when>
		<c:otherwise>
			<c:set var="submit" scope="request">subjects.create.submit</c:set>
			<html:form action="/subject" onsubmit="return confirm('Crear la asignatura?');">
				<jsp:include page="/WEB-INF/pages/users/admin/common/SubjectForm.jsp"/>		
				<html:hidden property="cmd" value="createSubject"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>