<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">
	<h1><bean:message key="accounts.modify.title" bundle="Admins"/></h1>
	
	<c:if test="${ error_form != null }">
		<div class="errors-form"><c:out value="${ error_form }" escapeXml="false"/></div>
	</c:if>
	
	<c:choose>
		<c:when test="${ operation_ok == true }">
		<div class="ok-form">
			<bean:message key="accounts.modify.ok.text.1" bundle="Admins"/> <b>id = ${ user_modify.id }</b><br/>
			<bean:message key="accounts.modify.ok.text.2" bundle="Admins"/>
		</div>
		</c:when>
		<c:otherwise>
			<c:set var="submit" scope="request">accounts.modify.submit</c:set>
			<c:set var="modify" scope="request">true</c:set>
			<html:form action="/account" onsubmit="return confirm('Modificar la cuenta?');">
				<jsp:include page="/WEB-INF/pages/users/admin/common/UserForm.jsp"/>		
				<html:hidden property="cmd" value="modifyAccount"/>
				<html:hidden property="login"/>
				<html:hidden property="email"/>
				<html:hidden property="id"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>