<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="curriculum.common.form.title" bundle="Admins"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200"><label for="name"><bean:message key="curriculum.create.form.name" bundle="Admins"/>:</label></th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<td colspan="2"><b><c:out value="${ curriculum_data.name }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>
			<td><html:text property="name" styleId="name" styleClass="text" size="20" maxlength="100" style="width:350px;"/><div class="errors"><html:errors property="Name" bundle="Common"/></div></td>
			<td class="explain" width="350"><bean:message key="curriculum.create.form.name.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="type"><bean:message key="curriculum.create.form.type" bundle="Admins"/>:</label></th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<c:set var="message">curriculum.type.${ curriculum_data.type }</c:set>
			<td colspan="2"><b><bean:message name="message" bundle="Common"/></b></td>
		</c:when>
		<c:otherwise>
			<td>
				<html:select property="type" styleId="type">
					<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
					<c:forEach varStatus="index" begin="1" end="5">
						<c:set var="value">curriculum.common.type.${ index.count }.abbr</c:set>
						<c:set var="name">curriculum.common.type.${ index.count }.name</c:set>
						<option value="<bean:message name="value" bundle="Admins"/>"><bean:message name="name" bundle="Admins"/></option>
					</c:forEach>
				</html:select>
				<div class="errors"><html:errors property="Type" bundle="Common"/></div>
			</td>
			<td class="explain" width="350"><bean:message key="curriculum.create.form.type.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200"><label for="description"><bean:message key="curriculum.create.form.description" bundle="Admins"/>:</label></th>
	<td><html:textarea property="description" styleId="description" styleClass="text" rows="8" cols="40" style="width:350px;"/></td>
	<td class="explain" width="350">&nbsp;</td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Admins"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$('#name').val('');$('#description').val('');$('.errors').hide();$('#type').attr('value', '_nil_');"/>
	</td>
</tr>
</table>

<c:choose>
	<c:when test="${ modify ne true }">
		<c:if test="${ AFCurriculum.type ne null }">
			<script type="text/javascript">
				$('#type').attr('value', '${ AFCurriculum.type }');
			</script>
		</c:if>
	</c:when>
</c:choose>