<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:if test="${ user_info.admin eq true }">
	<div class="box rc" style="overflow: auto; text-align: center;">
		<h3 style="margin-bottom: 0;"><b><bean:message key="desktop.admin.title" bundle="Users"/></b></h3>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td width="20%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="account.do?cmd=listAccount"><img src="res/img/web/admin/img_users.png" width="128" height="128" alt=""/></a><br/>
				<a href="account.do?cmd=listAccount"><bean:message key="desktop.admin.accounts" bundle="Users"/></a>
			</td>
			<td width="20%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="curriculum.do?cmd=listPlan"><img src="res/img/web/admin/img_curriculum.png" width="128" height="128" alt=""/></a><br/>
				<a href="curriculum.do?cmd=listPlan"><bean:message key="desktop.admin.curriculum" bundle="Users"/></a>
			</td>
			<td width="20%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="subject.do?cmd=listSubject"><img src="res/img/web/admin/img_subjects.png" width="128" height="128" alt=""/></a><br/>
				<a href="subject.do?cmd=listSubject"><bean:message key="desktop.admin.subjects" bundle="Users"/></a>
			</td>
			<td width="20%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="classroom.do?cmd=listClassroom"><img src="res/img/web/admin/img_classrooms.png" width="128" height="128" alt=""/></a><br/>
				<a href="classroom.do?cmd=listClassroom"><bean:message key="desktop.admin.classrooms" bundle="Users"/></a>
			</td>
			<td width="20%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="configuration.do?cmd=getConfiguration"><img src="res/img/web/admin/img_configuration.png" width="128" height="128" alt=""/></a><br/>
				<a href="configuration.do?cmd=getConfiguration"><bean:message key="desktop.admin.configuration" bundle="Users"/></a>
			</td>
		</tr>
		</table>
	</div>
</c:if>
	
<c:if test="${ user_info.teacher eq true }">
	<div class="box rc" style="overflow: auto; text-align: center;">
		<h3 style="margin-bottom: 0;"><b><bean:message key="desktop.teacher.title" bundle="Users"/></b></h3>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td width="25%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="bank.do?cmd=listCategory"><img src="res/img/web/teachers/img_question_bank.png" width="128" height="128" alt=""/></a><br/>
				<a href="bank.do?cmd=listCategory"><bean:message key="desktop.teacher.bank" bundle="Users"/></a>
			</td>
			<td width="25%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="test.do?cmd=listTest"><img src="res/img/web/teachers/img_test.png" width="128" height="128" alt=""/></a><br/>
				<a href="test.do?cmd=listTest"><bean:message key="desktop.teacher.test" bundle="Users"/></a>
			</td>
			<td width="25%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="classroom.do?cmd=listClassroomTeacher"><img src="res/img/web/teachers/img_classroom.png" width="128" height="128" alt=""/></a><br/>
				<a href="subject.do?cmd=listSubject"><bean:message key="desktop.teacher.classrooms" bundle="Users"/></a>
			</td>
			<td width="25%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="test.do?cmd=listTestStats"><img src="res/img/web/teachers/img_stats.png" width="128" height="128" alt=""/></a><br/>
				<a href="test.do?cmd=listTestStats"><bean:message key="desktop.teacher.stats" bundle="Users"/></a>
			</td>
		</tr>
		</table>
	</div>
</c:if>
	
<c:if test="${ user_info.student eq true }">
	<div class="box rc" style="overflow: auto; text-align: center;">
		<h3 style="margin-bottom: 0;"><b><bean:message key="desktop.student.title" bundle="Users"/></b></h3>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td width="25%" style="text-align: center !important; border-top: 0 !important; padding-top: 10px; padding-bottom: 10px;">
				<a href="classroom.do?cmd=listClassroomStudent"><img src="res/img/web/students/img_classroom_student.png" width="128" height="128" alt=""/></a><br/>
				<a href="classroom.do?cmd=listClassroomStudent"><bean:message key="desktop.student.classrooms" bundle="Users"/></a>
			</td>
		</tr>
		</table>
	</div>
</c:if>