<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>


<div class="hform">
	<h1><bean:message key="common.account.edit.title" bundle="Users"/></h1>
	
	<c:choose>
		<c:when test="${ ok_form == true }">
			<div class="ok-form">
				<bean:message key="common.account.edit.ok.text.1" bundle="Users"/><br/>
				<bean:message key="common.account.edit.ok.text.2" bundle="Users"/>
			</div>
		</c:when>
		<c:otherwise>
			<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
			<h2><b><bean:message key="accounts.common.form.title.1" bundle="Admins"/></b></h2>			
			
			<html:form action="/account" onsubmit="return confirm('Modificar el perfil?');">
				<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
				<tr>
					<th width="200"><label for="login"><bean:message key="accounts.common.form.login" bundle="Admins"/></label>:</th>
					<td><b>${ user_info.login }</b></td>
					<td class="explain" width="350">&nbsp;</td>
				</tr>
				<tr>
					<th width="200"><label for="password"><bean:message key="accounts.common.form.password" bundle="Admins"/></label>:</th>
					<td><html:password property="password" styleId="password" styleClass="text" size="20" maxlength="30" style="width:350px;"/><div class="errors"><html:errors property="Password" bundle="Common"/></div></td>
					<td class="explain" width="350"><bean:message key="accounts.common.form.password.explain" bundle="Admins"/></td>
				</tr>
				<tr>
					<th width="200"><label for="repeatPassword"><bean:message key="accounts.common.form.repeat_password" bundle="Admins"/></label>:</th>
					<td><html:password property="repeatPassword" styleId="repeatPassword" styleClass="text" size="20" maxlength="30" style="width:350px;"/><div class="errors"><html:errors property="RepeatPassword" bundle="Common"/></div></td>
					<td class="explain" width="350"><bean:message key="accounts.common.form.repeat_password.explain" bundle="Admins"/></td>
				</tr>
				<tr>
					<th width="200"><label for="email"><bean:message key="accounts.common.form.email" bundle="Admins"/></label>:</th>
					<td><b>${ user_info.email }</b></td>
					<td class="explain" width="350">&nbsp;</td>
				</tr>
				</table>
				<h2><b><bean:message key="accounts.common.form.title.2" bundle="Admins"/></b></h2>
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th width="200"><label for="name"><bean:message key="accounts.common.form.name" bundle="Admins"/></label>:</th>
					<td><b><c:out value="${ user_info.name }" escapeXml="false"/></b></td>
					<td class="explain" width="350">&nbsp;</td>
				</tr>
				<tr>
					<th width="200"><label for="surname"><bean:message key="accounts.common.form.surname" bundle="Admins"/></label>:</th>
					<td><b><c:out value="${ user_info.surname }" escapeXml="false"/></b></td>
					<td class="explain" width="350">&nbsp;</td>
				</tr>
				<tr>
					<th class="no-bdr" width="200">&nbsp;</th>
					<td class="no-bdr buttons" colspan="2">
						<input type="submit" class="button first" value=" <bean:message key="common.account.edit.sumbit" bundle="Users"/> "/>
						<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
					   			onclick="$(':input[type=text]').val('');$(':input[type=password]').val('');
					   					 $('.errors').hide();"/>
					</td>
				</tr>
				</table>
				<html:hidden property="cmd" value="editAccount"/>
				<html:hidden property="doOperation" value="yes"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>
