<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<script type="text/javascript">
	function solve(idTest, idClassroom)
	{
		if (confirm('<bean:message key="classroom.data.test.solve.prompt" bundle="Students"/>'))
		{
			window.location.href = 	'test.do?cmd=solveTest&init=true&idTest=' + idTest + '&idClassroom=' + idClassroom;
		}
	}
</script>

<div class="widget">
	<div class="title">
		<div class="links">
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="classroom.data.title" bundle="Students"/></h1>
	</div>
	<div class="content">
	<table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td>
		<table border="0" width="100%" cellspacing="0" cellpadding="5">
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.table.1.tr.1" bundle="Students"/></td>
			<td class="left"><c:out value="${ classroom_data.curriculumName }" escapeXml="false"/></td>
		</tr>
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.table.1.tr.2" bundle="Students"/></td>
			<td class="left"><c:out value="${ classroom_data.subjectName }" escapeXml="false"/></td>
		</tr>
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.table.1.tr.3" bundle="Students"/></td>
			<td class="left"><c:out value="${ classroom_data.course }" escapeXml="false"/></td>
		</tr>
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.table.1.tr.4" bundle="Students"/></td>
			<td class="left"><c:out value="${ classroom_data.letter }" escapeXml="false"/></td>
		</tr>
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important; vertical-align: middle !important;"><bean:message key="classroom.data.table.1.tr.5" bundle="Students"/></td>
			<td class="left">
				<c:choose>
					<c:when test="${ classroom_data.teacher ne null }">
						<a href="mailto:${ classroom_data.teacher.email }" class="email"><c:out value="${ classroom_data.teacher.email }" escapeXml="false"/></a>
					</c:when>
					<c:otherwise>
						<div class="errors-form" style="margin-bottom: 0 !important; text-align: left;"><bean:message key="classroom.data.no.teacher" bundle="Students"/></div>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td>
			<c:set var="total_test">0</c:set>
			<c:forEach items="${ classroom_data.test }" var="test">
				<c:if test="${ test.open }"><c:set var="total_test" value="${ total_test + 1 }"/></c:if>
			</c:forEach>
			<c:choose>
				<c:when test="${ total_test eq 0 }">
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th class="left"><bean:message key="classroom.data.test.tr.1.th.1" bundle="Students"/></th>
						<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
					</tr>
					<tr>
						<td colspan="2" style="border-bottom: 0 !important;"><div class="errors-form" style="margin-bottom: 0 !important; text-align: left;"><bean:message key="classroom.data.no.test" bundle="Students"/></div></td> 
					</tr>
					</table>
				</c:when>
				<c:otherwise>
					<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
					<tr>
						<th colspan="4" class="left"><bean:message key="classroom.data.test.tr.1.th.1" bundle="Students"/></th>
						<th colspan="2" class="right"><bean:message key="total" bundle="Common"/>: ${ total_test }</th>
					</tr>
					<tr>
						<td class="subtitle left br"><bean:message key="classroom.data.test.tr.2.td.1" bundle="Students"/></td>
						<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.2" bundle="Students"/></td>
						<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.3" bundle="Students"/></td>
						<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.4" bundle="Students"/></td>
						<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.5" bundle="Students"/></td>
						<td class="subtitle"><bean:message key="classroom.data.test.tr.2.td.6" bundle="Students"/></td>
					</tr>
					<c:forEach items="${ classroom_data.test }" var="test">
						<c:if test="${ test.open eq true }">
							<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
								<td class="left br"><c:out value="${ test.title }" escapeXml="false"/></td>
								<td class="br">${ test.totalQuestions }</td>
								<td class="br"><fmt:formatDate value="${ test.openDate }" pattern="dd/MM/yyyy"/></td>
								<td class="br"><fmt:formatDate value="${ test.closeDate }" pattern="dd/MM/yyyy"/></td>
								<td class="br">
									<c:choose>
										<c:when test="${ test.answerDate eq null }">-</c:when>
										<c:otherwise>
											<c:set var="final_score">final.score.${ test.finalScore }</c:set>
											<bean:message name="final_score" bundle="Common"/>
											(${ test.score }/${ test.maxScore })
										</c:otherwise>
									</c:choose>
								</td>
								<td>
									<c:choose>
										<c:when test="${ test.closed eq true }"><span class="del"><bean:message key="closed" bundle="Common"/></span></c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${ test.answerDate eq null }">
													<a href="javascript: solve(${ test.id },${ classroom_data.id })" class="solve"><bean:message key="answer" bundle="Common"/></a>
												</c:when>
												<c:when test="${ (test.answerDate ne null) and (test.showReview eq true) }">
													<a href="javascript:window.location.href='test.do?cmd=reviewTest&idTest=${ test.id }&idClassroom=${ classroom_data.id }'" class="review"><bean:message key="review" bundle="Common"/></a>
												</c:when>
												<c:otherwise>&nbsp;</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
								</td>
							</tr>
						</c:if>
					</c:forEach>
					</table>
					<script type="text/javascript">
						$('#data tr:last').children('td').css('border-bottom','0');
					</script>
				</c:otherwise>
			</c:choose>
		</td>
	</tr>
	</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>