<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_answers">${ fn:length(next_question.answers) }</c:set>

<c:forEach items="${ next_question.answers }" var="answer" varStatus="count">
	<c:choose>
		<c:when test="${ count.index eq 0 }">
			<tr>
				<th class="left" width="150"><bean:message key="test.solve.answer" bundle="Students"/></th>
				<td>
					<input type="checkbox" name="mcAnswer1" value="${ answer.id }"/> <c:out value="${ answer.answer }" escapeXml="false"/>
				</td>
				<td width="350" class="explain" style="border-left: 1px solid #ccc; padding-left: 10px;"><bean:message key="test.solve.question.MC.explain" bundle="Students"/></td>
			</tr>
		</c:when>
		<c:otherwise>
			<tr>
				<th class="left" width="150" style="border-top: 0 !important;">&nbsp;</th>
				<td style="border-top: 0 !important;">
					<input type="checkbox" name="mcAnswer${ count.index + 1 }" value="${ answer.id }"/> <c:out value="${ answer.answer }" escapeXml="false"/>
					<c:if test="${ (count.index + 1) eq total_answers }">
						<div class="errors" style="margin-top: 10px;"><html:errors property="McAnswer" bundle="Common"/></div>
					</c:if>
				</td>
				<td width="350" class="explain" style="border-left: 1px solid #ccc; padding-left: 10px; border-top: 0 !important;">&nbsp;</td>
			</tr>
		</c:otherwise>
	</c:choose>
</c:forEach>