<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>
<un:useConstants var="CTLinks" className="edu.uoc.pfc.lib.constants.CTLinks"/>
<c:set var="total_categories">${ fn:length(category_list) }</c:set>

<script type="text/javascript">
	function get(id)
	{
		window.location.href = 'bank.do?cmd=getCategory&id=' + id;
	}
	function del(id)
	{
		if (confirm('<bean:message key="category.delete.prompt" bundle="Teachers"/>'))
		{
			window.location.href = 'bank.do?cmd=deleteCategory&id=' + id;
		}
	}
	function mod(id)
	{
		window.location.href = 'bank.do?cmd=modifyCategory&id=' + id;
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'deleteCategory' }"><div class="ok-form"><bean:message key="category.delete.text" bundle="Teachers"/>.</div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="index.jsp${ CTLinks.QUESTION_BANK_CATEGORY_ADD_PARAMS }" class="add_category"><bean:message key="category.list.create" bundle="Teachers"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="category.list.tile" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<c:choose>
			<c:when test="${ total_categories eq 0 }">
				<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
				<tr>
					<th class="left"><bean:message key="category.list.table.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
				</tr>
				</table>
				<div class="errors-form" style="margin-top: 10px;"><bean:message key="category.list.no.categories" bundle="Teachers"/></div>
			</c:when>
			<c:otherwise>
				<table border="0" width="100%" cellspacing="0" cellpadding="5">
				<tr>
					<th class="left" colspan="2"><bean:message key="category.list.table.tr.1.th.1" bundle="Teachers"/></th>
					<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_categories }</th>
				</tr>
				<tr>
					<td class="subtitle left br"><bean:message key="category.list.table.tr.2.td.1" bundle="Teachers"/></td>
					<td class="subtitle br"><bean:message key="category.list.table.tr.2.td.2" bundle="Teachers"/></td>
					<td class="subtitle"><bean:message key="category.list.table.tr.2.td.3" bundle="Teachers"/></td>
				</tr>
				<c:forEach items="${ category_list }" var="category">
					<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
						<td class="left br"><nobr><a href="javascript: get(${ category.id });"><c:out value="${ category.name }" escapeXml="false"/></a></nobr></td>
						<td class="br">${ category.totalQuestions }</td>
						<td><nobr><a href="javascript: mod(${ category.id })" class="modify_category"><bean:message key="modify"  bundle="Common"/></a> | <a href="javascript: del(${ category.id })" class="delete_category"><bean:message key="delete" bundle="Common"/></a></nobr></td>
					</tr>
				</c:forEach>
				</table>
				<script type="text/javascript">
					$('#data tr:last').children('td').css('border-bottom','0');
				</script>
			</c:otherwise>
		</c:choose>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>