<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_test">${ fn:length(test_list) }</c:set>

<div class="hform">
	<h1><bean:message key="classroom.add.test.title" bundle="Teachers"/></h1>
	
	<c:choose>
		<c:when test="${ (total_test eq 0) and (operation_ok eq null) }">
			<div class="errors-form" style="margin-bottom: 0 !important;">
				<bean:message key="classroom.add.test.no.test.text.1" bundle="Teachers"/><br/>
				<bean:message key="classroom.add.test.no.test.text.2" bundle="Teachers"/>
			</div>
		</c:when>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form" style="margin-bottom: 0 !important;">
				<bean:message key="classroom.add.operation.ok.text.1" bundle="Teachers"/><br/>
				<bean:message key="classroom.add.operation.ok.text.2" bundle="Teachers"/>
				<a href="classroom.do?cmd=getClassroomTeacher&id=${ classroom_id }"><bean:message key="classroom.add.operation.ok.text.3" bundle="Teachers"/></a> |
				<a href="classroom.do?cmd=listClassroomTeacher"><bean:message key="classroom.add.operation.ok.text.4" bundle="Teachers"/></a> |
				<a href="index.jsp?sec=desktop"><bean:message key="classroom.add.operation.ok.text.5" bundle="Teachers"/></a>
			</div>
		</c:when>
		<c:otherwise>
			<c:set var="submit" scope="request">classroom.add.form.submit</c:set>
			<html:form action="/classroom" onsubmit="return confirm('Asignar el Cuestionario al Aula?')">
				<jsp:include page="/WEB-INF/pages/users/teacher/common/AddTestClassroomForm.jsp"/>		
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="id" value="${ classroom_id }"/>
				<input type="hidden" name="cmd" value="addTest"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>