<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<script type="text/javascript">
	function remove(id)
	{
		if (confirm('<bean:message key="classroom.data.test.remove.prompt" bundle="Teachers"/>'))
		{
			window.location.href = 'classroom.do?cmd=removeTest&idTest=' + id + "&idClassroom=${ classroom_data.id }";	
		}
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'removeTest' }"><div class="ok-form"><bean:message key="classroom.data.test.remove.ok" bundle="Teachers"/></div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="classroom.data.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.tr.1.th" bundle="Teachers"/></td>
				<td class="left"><c:out value="${ classroom_data.curriculumName }" escapeXml="false"/></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.tr.2.th" bundle="Teachers"/></td>
				<td class="left"><c:out value="${ classroom_data.subjectName }" escapeXml="false"/></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.tr.3.th" bundle="Teachers"/></td>
				<td class="left"><c:out value="${ classroom_data.course }" escapeXml="false"/></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="classroom.data.tr.4.th" bundle="Teachers"/></td>
				<td class="left"><c:out value="${ classroom_data.letter }" escapeXml="false"/></td>
			</tr>	
			</table>
			</td>
		</tr>
		<tr>
			<td>
				<c:set var="total_students">${ fn:length(classroom_data.students) }</c:set>
				<c:choose>
					<c:when test="${ total_students eq 0 }">
						<table border="0" width="100%" cellspacing="0" cellpadding="5">
						<tr>
							<th class="left"><bean:message key="classroom.data.students.tr.1.th.1" bundle="Teachers"/></th>
							<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
						</tr>
						</table>
						<div class="errors-form" style="margin-top: 10px; text-align: left;"><bean:message key="classroom.data.no.students" bundle="Teachers"/></div>
					</c:when>
					<c:otherwise>
						<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
						<tr>
							<th class="left" colspan="2"><bean:message key="classroom.data.students.tr.1.th.1" bundle="Teachers"/></th>
							<th class="right" colspan="2"><bean:message key="total" bundle="Common"/>: ${ total_students }</th>
						</tr>
						<tr>
							<td class="subtitle br"><bean:message key="classroom.data.students.tr.2.td.1" bundle="Teachers"/></td>
							<td class="subtitle br"><bean:message key="classroom.data.students.tr.2.td.2" bundle="Teachers"/></td>
							<td class="subtitle br"><bean:message key="classroom.data.students.tr.2.td.3" bundle="Teachers"/></td>
							<td class="subtitle"><bean:message key="classroom.data.students.tr.2.td.4" bundle="Teachers"/></td>
						</tr>
						<c:forEach items="${ classroom_data.students }" var="student">
							<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
								<td class="br"><c:out value="${ student.surname }" escapeXml="false"/></td>
								<td class="br"><c:out value="${ student.name }" escapeXml="false"/></td>
								<td class="br"><a href="mailto:${ student.email }" class="email">${ student.email }</a></td>
								<td><fmt:formatDate value="${ student.lastLogin }" pattern="dd-MM-yyyy HH:mm:ss" /></td>
							</tr>
						</c:forEach>
						</table>
						<script type="text/javascript">
							$('#data tr:last').children('td').css('border-bottom','0');
						</script>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		<tr>
			<td>
				<c:set var="total_test">${ fn:length(classroom_data.test) }</c:set>
				<c:choose>
					<c:when test="${ total_test eq 0 }">
						<table border="0" width="100%" cellspacing="0" cellpadding="5">
						<tr>
							<th class="left"><bean:message key="classroom.data.test.tr.1.th.1" bundle="Teachers"/></th>
							<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
						</tr>
						<tr>
							<td colspan="2"><div class="errors-form" style="margin-bottom: 0 !important; text-align: left;"><bean:message key="classroom.data.no.test" bundle="Teachers"/></div></td> 
						</tr>
						<tr>
							<td class="subtitle left" colspan="2"><a href="classroom.do?cmd=addTest&id=${ classroom_data.id }" class="add"><bean:message key="classroom.data.add.test" bundle="Teachers"/></a></td>
						</tr>
						</table>
					</c:when>
					<c:otherwise>
						<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
						<tr>
							<th class="left" colspan="3"><bean:message key="classroom.data.test.tr.1.th.1" bundle="Teachers"/></th>
							<th class="right" colspan="2"><bean:message key="total" bundle="Common"/>: ${ total_test }</th>
						</tr>
						<tr>
							<td class="subtitle left br"><bean:message key="classroom.data.test.tr.2.td.1" bundle="Teachers"/></td>
							<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.2" bundle="Teachers"/></td>
							<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.3" bundle="Teachers"/></td>
							<td class="subtitle br"><bean:message key="classroom.data.test.tr.2.td.4" bundle="Teachers"/></td>
							<td class="subtitle"><bean:message key="classroom.data.test.tr.2.td.5" bundle="Teachers"/></td>
						</tr>
						<c:forEach items="${ classroom_data.test }" var="test">
							<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
								<td class="left br"><a href="test.do?cmd=getTest&id=${ test.id }"><c:out value="${ test.title }" escapeXml="false"/></a></td>
								<td class="br">${ test.totalQuestions }</td>
								<td class="br"><fmt:formatDate value="${ test.openDate }" pattern="dd/MM/yyyy"/></td>
								<td class="br"><fmt:formatDate value="${ test.closeDate }" pattern="dd/MM/yyyy"/></td>
								<td><a href="javascript: remove(${ test.id });" class="del">Desasignar</a></td>
							</tr>
						</c:forEach>
						<tr>
							<td class="subtitle left" colspan="5"><a href="classroom.do?cmd=addTest&id=${ classroom_data.id }" class="add"><bean:message key="classroom.data.add.test" bundle="Teachers"/></a></td>
						</tr>
						</table>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>