<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">
	<h1><bean:message key="test.add.question.title" bundle="Teachers"/></h1>
	
	<c:choose>
	
		<%-- LA OPERACIN DE ASIGNACIN DE LA PREGUNTA HA FINALIZADO CON XITO --%>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form">
				<bean:message key="test.add.question.ok.text.1" bundle="Teachers"/><br/>
				<bean:message key="test.add.question.ok.text.2" bundle="Teachers"/>
				<a href="test.do?cmd=addQuestion&id=${ test_id }"><bean:message key="test.add.question.ok.text.3" bundle="Teachers"/></a> | 
				<a href="test.do?cmd=getTest&id=${ test_id }"><bean:message key="test.add.question.ok.text.4" bundle="Teachers"/></a> |
				<a href="test.do?cmd=listTest"><bean:message key="test.add.question.ok.text.5" bundle="Teachers"/></a> |
				<a href="index.jsp?sec=desktop"><bean:message key="test.add.question.ok.text.6" bundle="Teachers"/></a>
			</div>
		</c:when>
		
		<%-- ELECCIN DE LA CATEGORA DE LA PREGUNTA --%>
		<c:when test="${ add_question_step eq 'choose_category' }">
			<c:choose>
				<c:when test="${ fn:length(category_list) eq 0 }">
					<div class="errors-form">
						<bean:message key="test.add.question.no.category.text.1" bundle="Teachers"/><br/>
						<bean:message key="test.add.question.no.category.text.2" bundle="Teachers"/>
					</div>
				</c:when>
				<c:otherwise>
					<script type="text/javascript"> 
						function get(id)
						{
							window.location.href = 'bank.do?cmd=getCategory&id=' + id;
						}
					</script>
					<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
					<h2><b><bean:message key="test.add.question.choose.category.h2" bundle="Teachers"/></b></h2>
					<html:form action="/test">
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<c:forEach items="${ category_list }" var="category" varStatus="count">
						<tr>
						<c:choose>
							<c:when test="${ count.index eq 0}">
								<th width="150" class="left"><bean:message key="test.add.question.choose.category.tr.1.th.1" bundle="Teachers"/></th>
								<td><input type="radio" name="category_id" value="${ category.id }" checked="checked"/> <a href="javascript: get(${ category.id })"><c:out value="${ category.name }" escapeXml="false"/></a></td>
							</c:when>
							<c:otherwise>
								<th width="150" style="border-top: 0 !important;">&nbsp;</th>
								<td style="border-top: 0 !important;"><input type="radio" name="category_id" value="${ category.id }"/> <a href="javascript: get(${ category.id })"><c:out value="${ category.name }" escapeXml="false"/></a></td>
							</c:otherwise>
						</c:choose>
						</tr>
					</c:forEach>
					<tr>
						<th width="150" style="border-top: 0 !important;">&nbsp;</th>
						<td class="no-bdr buttons">
							<input type="submit" class="button first" value="<bean:message key="next" bundle="Common"/> &raquo;"/>
						</td>
					</tr>
					</table>
					<input type="hidden" name="id" value="${ test_id }"/>
					<input type="hidden" name="cmd" value="addQuestion"/>
					<input type="hidden" name="action" value="getQuestions"/>
					</html:form>
				</c:otherwise>
			</c:choose>
		</c:when>
		
		<%-- SELECCIONAR UNA PREGUNTA DE LA CATEGORA --%>
		<c:when test="${ add_question_step eq 'choose_question' }">
			<c:choose>
				<c:when test="${ category_data.totalQuestions eq 0 }">
					<div class="errors-form">
						<bean:message key="test.add.question.no.questions.text.1" bundle="Teachers"/><br/>
						<bean:message key="test.add.question.no.questions.text.2" bundle="Teachers"/>
						<a href="index.jsp?sec=teacher&page=chooseType&id=${ category_data.id }&name=<c:out value="${ category_data.name }" escapeXml="false"/>"><bean:message key="test.add.question.no.questions.text.3" bundle="Teachers"/></a> |
						<a href="index.jsp?sec=desktop"><bean:message key="test.add.question.no.questions.text.4" bundle="Teachers"/></a>
					</div>
				</c:when>
				<c:otherwise>
					<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
					<h2><b><bean:message key="test.add.question.choose.question.h2" bundle="Teachers"/></b></h2>
					<html:form action="/test">
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th width="150" class="left"><bean:message key="test.add.question.choose.question.tr.1.th.1" bundle="Teachers"/></th>
						<td><b><c:out value="${ category_data.name }" escapeXml="false"/></b></td>
					</tr>
					<c:forEach items="${ category_data.questions }" var="question" varStatus="count">
						<tr>
						<c:choose>
							<c:when test="${ count.index eq 0 }">
								<th width="150" class="left"><bean:message key="test.add.question.choose.question.tr.2.th.1" bundle="Teachers"/></th>
								<td><input type="radio" name="question_id" value="${ question.id }" checked="checked"/> <a href="bank.do?cmd=getQuestion&id=${ question.id }&cat=${ category_data.id}"><c:out value="${ question.title }" escapeXml="false"/></a></td>
							</c:when>
							<c:otherwise>
								<th width="150" style="border-top: 0 !important;">&nbsp;</th>
								<td style="border-top: 0 !important;"><input type="radio" name="question_id" value="${ question.id }"/> <a href="bank.do?cmd=getQuestion&id=${ question.id }&cat=${ category_data.id}"><c:out value="${ question.title }" escapeXml="false"/></a></td>
							</c:otherwise>
						</c:choose>
						</tr>
					</c:forEach>
					<tr>
						<th width="150" style="border-top: 0 !important;">&nbsp;</th>
						<td class="no-bdr buttons">
							<input type="submit" class="button first" value="<bean:message key="next" bundle="Common"/> &raquo;"/>
						</td>
					</tr>
					</table>
					<input type="hidden" name="id" value="${ test_id }"/>
					<input type="hidden" name="category_id" value="${ category_data.id }"/>
					<input type="hidden" name="cmd" value="addQuestion"/>
					<input type="hidden" name="action" value="assign_value"/>
					</html:form>
				</c:otherwise>
			</c:choose>
		</c:when>
		
		<%-- ASIGNAR UN VALOR A LA PREGUNTA SELECCIONADA --%>
		<c:when test="${ add_question_step eq 'set_value' }">
			<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
			<h2><b><bean:message key="test.add.question.choose.question.h2" bundle="Teachers"/></b></h2>
			<html:form action="/test" onsubmit="return confirm('Seguro que quieres asignar la pregunta al cuestionario?');">
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<th width="150" class="left"><bean:message key="test.add.question.choose.question.tr.1.th.1" bundle="Teachers"/></th>
				<td><b><c:out value="${ category_data.name }" escapeXml="false"/></b></td>
				<td width="400" class="explain">&nbsp;</td>
			</tr>
			<tr>
				<th width="150" class="left"><bean:message key="test.add.question.set.value.tr.2.th.1" bundle="Teachers"/></th>
				<td><b><c:out value="${ question_data.title }" escapeXml="false"/></b></td>
				<td width="400" class="explain">&nbsp;</td>
			</tr>
			<tr>
				<th width="150" class="left"><bean:message key="test.add.question.set.value.tr.3.th.1" bundle="Teachers"/></th>
				<td>
					<html:text property="questionValue" styleId="questionValue" styleClass="text" size="5" maxlength="5" style="width: 100px;"/>
					<div class="errors"><html:errors property="QuestionValue" bundle="Common"/></div>
				</td>
				<td width="400" class="explain"><bean:message key="test.add.question.set.value.tr.3.th.1.explain" bundle="Teachers"/></td>
			</tr>
			<tr>
				<th width="150" style="border-top: 0 !important;">&nbsp;</th>
				<td class="no-bdr buttons" colspan="2">
					<input type="submit" class="button first" value="<bean:message key="test.add.question.submit" bundle="Teachers"/>"/>
					<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
						   onclick="$('#questionValue').val('');$('.errors').hide();"/>
				</td>
			</tr>
			</table>
			<input type="hidden" name="id" value="${ test_id }"/>
			<input type="hidden" name="category_id" value="${ category_data.id }"/>
			<input type="hidden" name="question_id" value="${ question_data.id }"/>
			<input type="hidden" name="cmd" value="addQuestion"/>
			<input type="hidden" name="action" value="do_add"/>
			</html:form>
		</c:when>

	</c:choose>
	
</div>