<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="pct_pass" value="${ (stats_data.totalPass div stats_data.totalAnswers) * 100 }"/>
<c:set var="pct_no_pass" value="${ (stats_data.totalNoPass div stats_data.totalAnswers) * 100 }"/>
<c:set var="pct_MH" value="${ (stats_data.totalMH div stats_data.totalAnswers) * 100 }"/>
<c:set var="pct_EX" value="${ (stats_data.totalEX div stats_data.totalAnswers) * 100 }"/>
<c:set var="pct_NO" value="${ (stats_data.totalNO div stats_data.totalAnswers) * 100 }"/>
<c:set var="pct_A" value="${ (stats_data.totalA div stats_data.totalAnswers) * 100 }"/>
<c:set var="pct_SU" value="${ (stats_data.totalSU div stats_data.totalAnswers) * 100 }"/>

<div class="widget">
	<div class="title">
		<div class="links"><bean:message key="common.help.link" bundle="Users"/></div>
		<h1><bean:message key="test.stats.data.title" bundle="Teachers"/></h1>
	</div>
	<div class="content">
	<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
	<tr>
		<th class="left" width="150"><bean:message key="test.stats.data.tr.1.th" bundle="Teachers"/></th>
		<td class="left" colspan="5" style="border-bottom: 1px solid #aaa;"><a href="test.do?cmd=getTest&id=${ stats_data.idTest }"><c:out value="${ stats_data.title }" escapeXml="false"/></a></td>
	</tr>
	<tr>
		<th class="left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.stats.data.tr.2.th" bundle="Teachers"/></th>
		<td class="left" width="100"><bean:message key="total" bundle="Common"/>:</td>
		<td class="br" width="50">${ stats_data.totalAnswers }</td>
		<td class="br stats"><img src="res/img/web/stats_bar.jpg" height="16" width="100%" height="16" alt=" "/></td>
		<td width="5">100%</td>
	</tr>
	<tr>
		<th style="border-bottom: 0 !important;">&nbsp;</th>
		<td class="left" width="150"><bean:message key="test.stats.data.tr.2.th.pass" bundle="Teachers"/>:</td>
		<td class="br" width="50">${ stats_data.totalPass }</td>
		<td class="br stats left"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_pass }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50"><fmt:formatNumber value="${ pct_pass }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	<tr>
		<th width="150">&nbsp;</th>
		<td class="left" width="150" style="border-bottom: 1px solid #aaa;"><bean:message key="test.stats.data.tr.2.th.no.pass" bundle="Teachers"/>:</td>
		<td class="br" width="50" style="border-bottom: 1px solid #aaa;">${ stats_data.totalNoPass }</td>
		<td class="br stats left" style="border-bottom: 1px solid #aaa;"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_no_pass }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50" style="border-bottom: 1px solid #aaa;"><fmt:formatNumber value="${ pct_no_pass }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	<tr>
		<th class="left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.stats.data.tr.3.th" bundle="Teachers"/></th>
		<td class="left" width="150"><bean:message key="test.stats.data.tr.3.th.MH" bundle="Teachers"/>:</td>
		<td class="br" width="50">${ stats_data.totalMH }</td>
		<td class="br stats left"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_MH }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50"><fmt:formatNumber value="${ pct_MH }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	<tr>
		<th width="150" style="border-bottom: 0 !important;">&nbsp;</th>
		<td class="left" width="150"><bean:message key="test.stats.data.tr.3.th.EX" bundle="Teachers"/>:</td>
		<td class="br" width="50">${ stats_data.totalEX }</td>
		<td class="br stats left"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_EX }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50"><fmt:formatNumber value="${ pct_EX }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	<tr>
		<th width="150" style="border-bottom: 0 !important;">&nbsp;</th>
		<td class="left" width="150"><bean:message key="test.stats.data.tr.3.th.NO" bundle="Teachers"/>:</td>
		<td class="br" width="50">${ stats_data.totalNO }</td>
		<td class="br stats left"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_NO }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50"><fmt:formatNumber value="${ pct_NO }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	<tr>
		<th width="150" style="border-bottom: 0 !important;">&nbsp;</th>
		<td class="left" width="150"><bean:message key="test.stats.data.tr.3.th.A" bundle="Teachers"/>:</td>
		<td class="br" width="50">${ stats_data.totalA }</td>
		<td class="br stats left"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_A }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50"><fmt:formatNumber value="${ pct_A }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	<tr>
		<th width="150" style="border-bottom: 0 !important;">&nbsp;</th>
		<td class="left" width="150"><bean:message key="test.stats.data.tr.3.th.SU" bundle="Teachers"/>:</td>
		<td class="br" width="50">${ stats_data.totalSU }</td>
		<td class="br stats left"><img src="res/img/web/stats_bar.jpg" height="16" width="<fmt:formatNumber value="${ pct_SU }" minFractionDigits="0" maxFractionDigits="0"/>%" alt=" "/></td>
		<td width="50"><fmt:formatNumber value="${ pct_SU }" minFractionDigits="2" maxFractionDigits="2"/>%</td>
	</tr>
	</table>
	<script type="text/javascript">
		$('#data tr:last').children('td').css('border-bottom','0');
	</script>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>

