<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="category.common.form.title" bundle="Teachers"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear:both;">
<tr>
	<th width="150" style="left"><label for="categoryName"><bean:message key="category.common.form.name" bundle="Teachers"/></label></th>
	<c:choose>
		<c:when test="${ modify ne null }">
			<td colspan="2"><b><c:out value="${ AFQuestionBank.categoryName }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="categoryName" styleId="categoryName" styleClass="text" size="20" maxlength="200" style="width: 350px;"/>
				<div class="errors"><html:errors property="CategoryName" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="category.common.form.name.explain" bundle="Teachers"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="150" style="left"><label for="categoryDescription"><bean:message key="category.common.form.description" bundle="Teachers"/></label></th>
	<td>
		<html:textarea property="categoryDescription" styleId="categoryDescription" styleClass="text" rows="8" cols="40" style="width: 350px;"/>
	</td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Teachers"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$('#categoryName').val('');$('#categoryDescription').val('');$('.errors').hide();"/>
	</td>
</tr>
</table>