<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help" style="float:right;"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="question.tf.form.title" bundle="Teachers"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th class="left" width="150"><bean:message key="question.create.common.category" bundle="Teachers"/></th>
	<c:choose>
		<c:when test="${ category_data eq null }"><td><a href="bank.do?cmd=getCategory&id=${ param.id }"><c:out value="${ param.name }" escapeXml="false"/></a></td></c:when>
		<c:otherwise><td><a href="bank.do?cmd=getCategory&id=${ category_data.id }"><c:out value="${ category_data.name }" escapeXml="false"/></a></td></c:otherwise>
	</c:choose>
	<td width="350" class="explain">&nbsp;</td>
</tr>
<tr>
	<th class="left" width="150"><label for="title"><bean:message key="question.create.common.question.title" bundle="Teachers"/></label></th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<td colspan="2"><b><c:out value="${ AFQuestionBank.title }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>	
			<td>
				<html:text property="title" styleId="title" styleClass="text" size="20" maxlength="200" style="width: 350px;"/>
				<div class="errors"><html:errors property="Title" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="question.create.common.title.explain" bundle="Teachers"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th class="left" width="150"><label for="statement"><bean:message key="question.create.common.statement" bundle="Teachers"/></label></th>
	<td>
		<html:textarea property="statement" styleId="statement" styleClass="text" rows="8" cols="40" style="width: 350px;"/>
		<div class="errors"><html:errors property="Statement" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="question.create.common.statement.explain" bundle="Teachers"/></td>
</tr>
</table>

<c:forEach begin="1" end="5" varStatus="count">
	<h2><b><bean:message key="question.mc.form.h2" bundle="Teachers"/> ${ count.index }</b></h2>
	<table border="0" width="100%" cellspacing="0" cellpadding="5">
	<tr>
		<th class="left" width="150"><label for="answer${ count.index }"><bean:message key="question.mc.form.answer" bundle="Teachers"/> ${ count.index }</label></th>
		<td>
			<c:choose>
				<c:when test="${ count.index eq 1 }"><html:text property="mcAnswer1" styleId="answer1" styleClass="text" size="40" maxlength="200" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 2 }"><html:text property="mcAnswer2" styleId="answer2" styleClass="text" size="40" maxlength="200" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 3 }"><html:text property="mcAnswer3" styleId="answer3" styleClass="text" size="40" maxlength="200" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 4 }"><html:text property="mcAnswer4" styleId="answer4" styleClass="text" size="40" maxlength="200" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 5 }"><html:text property="mcAnswer5" styleId="answer5" styleClass="text" size="40" maxlength="200" style="width: 350px;"/></c:when>
			</c:choose>
		</td>
		<td width="400" class="explain"><bean:message key="question.mc.form.answer.explain" bundle="Teachers"/></td>
	</tr>
	<tr>
		<th class="left" width="150"><label for="correctYes${ count.index }"><bean:message key="question.mc.form.correct" bundle="Teachers"/></label></th>
		<td> 
			<c:choose>
				<c:when test="${ count.index eq 1 }">
					<html:radio property="mcCorrect1" value="op_true" styleId="correctYes1"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
					<html:radio property="mcCorrect1" value="op_false" styleId="correctNo1"/> <bean:message key="no" bundle="Common"/>
				</c:when>
				<c:when test="${ count.index eq 2 }">
					<html:radio property="mcCorrect2" value="op_true" styleId="correctYes2"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
					<html:radio property="mcCorrect2" value="op_false" styleId="correctNo2"/> <bean:message key="no" bundle="Common"/>
				</c:when>
				<c:when test="${ count.index eq 3 }">
					<html:radio property="mcCorrect3" value="op_true" styleId="correctYes3"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
					<html:radio property="mcCorrect3" value="op_false" styleId="correctNo3"/> <bean:message key="no" bundle="Common"/>
				</c:when>
				<c:when test="${ count.index eq 4 }">
					<html:radio property="mcCorrect4" value="op_true" styleId="correctYes4"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
					<html:radio property="mcCorrect4" value="op_false" styleId="correctNo4"/> <bean:message key="no" bundle="Common"/>
				</c:when>
				<c:when test="${ count.index eq 5 }">
					<html:radio property="mcCorrect5" value="op_true" styleId="correctYes5"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
					<html:radio property="mcCorrect5" value="op_false" styleId="correctNo5"/> <bean:message key="no" bundle="Common"/>
				</c:when>
			</c:choose>
		</td>
		<td width="400" class="explain">&nbsp;</td>
	</tr>
	<tr>
		<th class="left" width="150"><label for="text${ count.index }"><bean:message key="question.mc.form.text" bundle="Teachers"/></label></th>
		<td>
			<c:choose>
				<c:when test="${ count.index eq 1 }"><html:textarea property="mcText1" styleId="text1" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 2 }"><html:textarea property="mcText2" styleId="text2" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 3 }"><html:textarea property="mcText3" styleId="text3" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 4 }"><html:textarea property="mcText4" styleId="text4" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
				<c:when test="${ count.index eq 5 }"><html:textarea property="mcText5" styleId="text5" styleClass="text" rows="2" cols="40" style="width: 350px;"/></c:when>
			</c:choose>
		</td>
		<td width="400" class="explain">&nbsp;</td>
	</tr>
	<c:if test="${ count.index eq 5 }">
		<tr>
			<th class="no-bdr" width="150">&nbsp;</th>
			<td class="no-bdr buttons" colspan="2">
				<input type="submit" class="button first" value="<bean:message name="submit" bundle="Teachers"/>"/>
				<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
					   onclick="$(':input[type=text]').val('');$(':input[type=textarea]').val('');$('.errors').hide();
						   		$('#correctNo1').attr('checked', true);$('#correctNo2').attr('checked', true);
						   		$('#correctNo3').attr('checked', true);$('#correctNo4').attr('checked', true);
						   		$('#correctNo5').attr('checked', true);"/>
			</td>
		</tr>
	</c:if>
	</table>	
</c:forEach>

<script type="text/javascript">
	<c:choose>
		<c:when test="${ AFQuestionBank.mcCorrect1 eq 'op_true' }">
			$('#correctYes1').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#correctNo1').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFQuestionBank.mcCorrect2 eq 'op_true' }">
			$('#correctYes2').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#correctNo2').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFQuestionBank.mcCorrect3 eq 'op_true' }">
			$('#correctYes3').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#correctNo3').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFQuestionBank.mcCorrect4 eq 'op_true' }">
			$('#correctYes4').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#correctNo4').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFQuestionBank.mcCorrect5 eq 'op_true' }">
			$('#correctYes5').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#correctNo5').attr('checked', true);
		</c:otherwise>
	</c:choose>
</script>
