<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="test.common.form.h2" bundle="Teachers"/></b></h2>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear:both;">
<tr>
	<th width="150"><label for="title"><bean:message key="test.common.form.title" bundle="Teachers"/></label></th>
	<c:choose>
		<c:when test="${ modify eq true }">
			<td colspan="2"><b><c:out value="${ AFTest.title }" escapeXml="false"/></b>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="title" styleId="title" styleClass="text" size="20" maxlength="200" style="width: 350px;"/>
				<div class="errors"><html:errors property="Title" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="test.common.form.title.explain" bundle="Teachers"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="150"><label for="introduction"><bean:message key="test.common.form.introduction" bundle="Teachers"/></label></th>
	<td>
		<html:textarea property="introduction" styleId="introduction" styleClass="text" rows="8" cols="40" style="width: 350px;"/>
		<div class="errors"><html:errors property="Introduction" bundle="Common"/></div>
	</td>
	<td width="400" class="explain"><bean:message key="test.common.form.introduction.explain" bundle="Teachers"/></td>
</tr>
<tr>
	<th width="150"><label for="shuffleQuestionsYes"><bean:message key="test.common.form.shuffle.questions" bundle="Teachers"/></label></th>
	<td>
		<html:radio property="shuffleQuestions" styleId="shuffleQuestionsYes" value="op_true"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
		<html:radio property="shuffleQuestions" styleId="shuffleQuestionsNo" value="op_false"/> <bean:message key="no" bundle="Common"/>
	</td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th width="150"><label for="shuffleAnswersYes"><bean:message key="test.common.form.shuffle.answers" bundle="Teachers"/></label></th>
	<td>
		<html:radio property="shuffleAnswers" styleId="shuffleAnswersYes" value="op_true"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
		<html:radio property="shuffleAnswers" styleId="shuffleAnswersNo" value="op_false"/> <bean:message key="no" bundle="Common"/>
	</td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th width="150"><label for="showResultYes"><bean:message key="test.common.form.show.result" bundle="Teachers"/></label></th>
	<td>
		<html:radio property="showResult" styleId="showResultYes" value="op_true"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
		<html:radio property="showResult" styleId="showResultNo" value="op_false"/> <bean:message key="no" bundle="Common"/>
	</td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th width="150"><label for="showReviewYes"><bean:message key="test.common.form.show.review" bundle="Teachers"/></label></th>
	<td>
		<html:radio property="showReview" styleId="showReviewYes" value="op_true"/> <bean:message key="yes" bundle="Common"/> &nbsp;&nbsp;
		<html:radio property="showReview" styleId="showReviewNo" value="op_false"/> <bean:message key="no" bundle="Common"/>
	</td>
	<td width="400" class="explain">&nbsp;</td>
</tr>
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Teachers"/>"/>
		<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   onclick="$('#title').val('');$('#introduction').val('');$('.errors').hide();
				   $('#shuffleQuestionsNo').attr('checked', true);$('#shuffleAnswersNo').attr('checked', true);
				   $('#showResultNo').attr('checked', true);$('#showReviewNo').attr('checked', true);"/>
	</td>
</tr>
</table>

<script type="text/javascript">
	<c:choose>
		<c:when test="${ AFTest.shuffleQuestions eq 'op_true' }">
			$('#shuffleQuestionsYes').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#shuffleQuestionsNo').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFTest.shuffleAnswers eq 'op_true' }">
			$('#shuffleAnswersYes').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#shuffleAnswersNo').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFTest.showResult eq 'op_true' }">
			$('#showResultYes').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#showResultNo').attr('checked', true);
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${ AFTest.showReview eq 'op_true' }">
			$('#showReviewYes').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#showReviewNo').attr('checked', true);
		</c:otherwise>
	</c:choose>
</script>