<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:choose>
	
	<%-- PAGINA DE AYUDA DE LA APLICACIN --%>
	<c:when test="${ param.page == 'help' }">
		<jsp:include page="/WEB-INF/pages/pub/Main.jsp" />
	</c:when>
	
	<%-- EXCEPCION NO CONTROLADA --%>
	<c:when test="${ param.page == 'error' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/common/inc/Error.inc.jsp"/>
			<tiles:put name="sidebar" value="/WEB-INF/common/inc/Blank.inc.jsp"/>
		</tiles:insert>
	</c:when>
	
	<%-- DENTRO DE UNA CUENTA DE USUARIO --%>
	<c:when test="${ user_info != null }">
		<jsp:include page="/WEB-INF/pages/users/Main.jsp" />
	</c:when>
	
	<%-- PARTE PUBLICA DE LA APLICACION --%>
	<c:otherwise>
		<jsp:include page="/WEB-INF/pages/pub/Main.jsp" />
	</c:otherwise>
</c:choose>