package edu.uoc.pfc.business.exceptions;

/**
 * <p>Excepci&oacute;n que ser&aacute; provocada cuando se produce un error durante el env&iacute;o
 * de un correo electr&oacute;nico.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez.
 * @version 1.0
 */
public class SendEmailException extends Exception
{
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de la clase.</p> */
	private static final long serialVersionUID = 1L;
	
	// -------- CONSTRUCTORES.
	/**
	 * <p>Construye un objeto <code>BusinessRulesViolation</code> y le asigna como
	 * mensaje de la causa del error el que recibe como par&aacute;metro.</p>
	 * 
	 * @param message <code>String</code> mensaje de error.
	 */
	public SendEmailException(String message)
	{
		// Llamamos al constructor de la superclase.
		super(message);
	}

}
